/* D:\Programs\oocase404\Expdata\sql\schema64.sql OOCASE SQL generated at : 2018-09-27 17:57:16.996 */

/* Copyright (C) 2018 ROJTEC, Olof Johansson                                  */
/*                                                                            */
/* This quality assured work is a contribution to the non-centralized         */
/* parallell distributed academic and industrial efforts on                   */
/* UN Agenda 2030 Practical Scaleable Implementation Amplification Program.   */
/* For guidance on Industrial Scale Quality Assurance read IEC61360-3 Part    */
/* 3: Maintenance and validation procedures.                                  */
/* http://www.iec.ch/                                                         */
/*                                                                            */
/* The program is implemented on widely spread international standards or     */
/* de-facto standards.                                                        */
/* Its purpose is to establish a state of the art best practice standard for  */
/* efficient change history traceable quality assured information mass        */
/* communication in a particular limited application domain.                  */
/*                                                                            */
/* This program is distributed in the hope that it will be useful, but        */
/* WITHOUT ANY WARRANTY; without even the implied warranty of                 */
/* MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.                       */
/*                                                                            */
/* License Terms:                                                             */
/* 1. Grant of Copyright License.                                             */
/* Everyone is permitted to copy and distribute verbatim copies of this       */
/* program, but changing it is NOT allowed.                                   */
/*                                                                            */
/* 2. Termination.                                                            */
/* The license is immediately and irrevokably terminated without notice for   */
/* a user or legal entity in case the program is used or actively marketed    */
/* in any kind of sub supply chain for criminal activity.                     */
/*                                                                            */
/* 3. Change Requests.                                                        */
/* Change requests should primarily be funded in advance and sent directly    */
/* to the copyright holder.                                                   */
/*                                                                            */
/* 4. Default on Change Request                                               */
/* In case a change request can not be implemented within 3 months from an    */
/* in written text recorded proof of a contact attempt, the terms of          */
/* conveying Original Work or a Derivative Work in Modelica License 2 take    */
/* effect.                                                                    */
/* Section "2. Termination." remains in effect and must be included in the    */
/* "any other license of your choice" option of Modelica License 2.           */
/*                                                                            */
/* 5. Additional Terms                                                        */
/* Below the above listed License Terms, the terms of Modelica License 2      */
/* apply.                                                                     */
/*                                                                            */
/* 6. This is the entire agreement.                                           */
/*                                                                            */
/*                                                                            */
/* You can download a copy of The Modelica License 2 at the official          */
/* Modelica website www.modelica.org.                                         */
/*                                                                            */
/*                                                                            */
/* sqlTable.sql for domainmodel 'DocumentDictionary100f'                      */



/* ************************************************************************** */
/* AuthorDocument Table Definition                                            */
/* ************************************************************************** */

CREATE TABLE ad_authordocument (
  ad_highid BIGINT NOT NULL   /* From: DBObject */ ,
  ad_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  ad_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  ad_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  ad_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  ad_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  ad_locked CHAR(1) NULL   /* From: DBObject */ ,
  ad_release VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_version VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  ad_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  ad_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  ad_resourceid INTEGER NULL   /* From: Element */ ,
  ad_authorrole CHAR(8) NULL   /* From: AuthorDocument */ ,
  ad_authorrecord_highid BIGINT NOT NULL , 
  ad_authorrecord_lowid BIGINT NOT NULL , 
  ad_documentrecord_highid BIGINT NOT NULL , 
  ad_documentrecord_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_authordocument PRIMARY KEY (ad_highid, ad_lowid)
)
go

/* ************************************************************************** */
/* AuthorRecord Table Definition                                              */
/* ************************************************************************** */

CREATE TABLE au_authorrecord (
  au_highid BIGINT NOT NULL   /* From: DBObject */ ,
  au_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  au_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  au_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  au_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  au_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  au_locked CHAR(1) NULL   /* From: DBObject */ ,
  au_release VARCHAR(32) NULL   /* From: DBObject */ ,
  au_version VARCHAR(32) NULL   /* From: DBObject */ ,
  au_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  au_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  au_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  au_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  au_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  au_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  au_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  au_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  au_resourceid INTEGER NULL   /* From: Element */ ,
  au_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  au_definition TEXT NULL   /* From: ModelElement */ ,
  au_documentdictionary_highid BIGINT NOT NULL , 
  au_documentdictionary_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_authorrecord PRIMARY KEY (au_highid, au_lowid)
)
go

/* ************************************************************************** */
/* CategoryLink Table Definition                                              */
/* ************************************************************************** */

CREATE TABLE cacl_categorylink (
  cacl_highid BIGINT NOT NULL   /* From: DBObject */ ,
  cacl_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  cacl_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  cacl_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  cacl_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  cacl_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  cacl_locked CHAR(1) NULL   /* From: DBObject */ ,
  cacl_release VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_version VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  cacl_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  cacl_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  cacl_resourceid INTEGER NULL   /* From: Element */ ,
  cacl_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  cacl_definition TEXT NULL   /* From: ModelElement */ ,
  cacl_label VARCHAR(20) NULL   /* From: LabelModelElement */ ,
  cacl_ordinalposition INTEGER NULL   /* From: LabelModelElement */ ,
  cacl_categoryrole VARCHAR(32) NULL   /* From: CategoryLink */ ,
  cacl_category_highid BIGINT NOT NULL , 
  cacl_category_lowid BIGINT NOT NULL , 
  cacl_modelelement_highid BIGINT NOT NULL , 
  cacl_modelelement_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_categorylink PRIMARY KEY (cacl_highid, cacl_lowid)
)
go

/* ************************************************************************** */
/* Category Table Definition                                                  */
/* ************************************************************************** */

CREATE TABLE caco_category (
  caco_highid BIGINT NOT NULL   /* From: DBObject */ ,
  caco_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  caco_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  caco_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  caco_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  caco_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  caco_locked CHAR(1) NULL   /* From: DBObject */ ,
  caco_release VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_version VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  caco_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  caco_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  caco_resourceid INTEGER NULL   /* From: Element */ ,
  caco_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  caco_definition TEXT NULL   /* From: ModelElement */ ,
  caco_label VARCHAR(20) NULL   /* From: LabelModelElement */ ,
  caco_ordinalposition INTEGER NULL   /* From: LabelModelElement */ ,
  caco_documentdictionary_highid BIGINT NOT NULL , 
  caco_documentdictionary_lowid BIGINT NOT NULL , 
  caco_maincategory_highid BIGINT NULL , 
  caco_maincategory_lowid BIGINT NULL , 
  CONSTRAINT pk_category PRIMARY KEY (caco_highid, caco_lowid)
)
go

/* ************************************************************************** */
/* Cite Table Definition                                                      */
/* ************************************************************************** */

CREATE TABLE ci_cite (
  ci_highid BIGINT NOT NULL   /* From: DBObject */ ,
  ci_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  ci_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  ci_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  ci_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  ci_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  ci_locked CHAR(1) NULL   /* From: DBObject */ ,
  ci_release VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_version VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  ci_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  ci_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  ci_resourceid INTEGER NULL   /* From: Element */ ,
  ci_citedkey VARCHAR(255) NULL   /* From: Cite */ ,
  ci_label VARCHAR(128) NULL   /* From: Cite */ ,
  ci_cited_highid BIGINT NULL , 
  ci_cited_lowid BIGINT NULL , 
  ci_citedby_highid BIGINT NOT NULL , 
  ci_citedby_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_cite PRIMARY KEY (ci_highid, ci_lowid)
)
go

/* ************************************************************************** */
/* ContentRecord Table Definition                                             */
/* ************************************************************************** */

CREATE TABLE cr_contentrecord (
  cr_highid BIGINT NOT NULL   /* From: DBObject */ ,
  cr_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  cr_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  cr_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  cr_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  cr_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  cr_locked CHAR(1) NULL   /* From: DBObject */ ,
  cr_release VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_version VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  cr_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  cr_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  cr_resourceid INTEGER NULL   /* From: Element */ ,
  cr_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  cr_definition TEXT NULL   /* From: ModelElement */ ,
  cr_label VARCHAR(20) NULL   /* From: LabelModelElement */ ,
  cr_ordinalposition INTEGER NULL   /* From: LabelModelElement */ ,
  cr_containertype VARCHAR(20) NULL   /* From: ContentRecord */ ,
  cr_endline VARCHAR(20) NULL   /* From: ContentRecord */ ,
  cr_endpage VARCHAR(20) NULL   /* From: ContentRecord */ ,
  cr_pagecount INTEGER NULL   /* From: ContentRecord */ ,
  cr_startline VARCHAR(20) NULL   /* From: ContentRecord */ ,
  cr_startpage VARCHAR(20) NULL   /* From: ContentRecord */ ,
  cr_contentcontainer_highid BIGINT NULL , 
  cr_contentcontainer_lowid BIGINT NULL , 
  cr_documentrecord_highid BIGINT NOT NULL , 
  cr_documentrecord_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_contentrecord PRIMARY KEY (cr_highid, cr_lowid)
)
go

/* ************************************************************************** */
/* DocumentDictionary Table Definition                                        */
/* ************************************************************************** */

CREATE TABLE dd_documentdictionary (
  dd_highid BIGINT NOT NULL   /* From: DBObject */ ,
  dd_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  dd_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  dd_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  dd_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  dd_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  dd_locked CHAR(1) NULL   /* From: DBObject */ ,
  dd_release VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_version VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  dd_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  dd_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  dd_resourceid INTEGER NULL   /* From: Element */ ,
  dd_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  dd_definition TEXT NULL   /* From: ModelElement */ ,
  dd_dtsynchronized VARCHAR(27) NULL   /* From: Model */ ,
  CONSTRAINT pk_documentdictionary PRIMARY KEY (dd_highid, dd_lowid)
)
go

/* ************************************************************************** */
/* DocumentDictionaryLogRecord Table Definition                               */
/* ************************************************************************** */

CREATE TABLE ddl_documentdictionarylogrecord (
  ddl_highid BIGINT NOT NULL   /* From: DBObject */ ,
  ddl_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  ddl_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  ddl_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  ddl_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  ddl_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  ddl_locked CHAR(1) NULL   /* From: DBObject */ ,
  ddl_release VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_version VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  ddl_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  ddl_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  ddl_classname VARCHAR(32) NULL   /* From: SubModelLogRecord */ ,
  ddl_name VARCHAR(128) NULL   /* From: SubModelLogRecord */ ,
  ddl_attributename VARCHAR(32) NULL   /* From: SubModelLogRecord */ ,
  ddl_instancehighid BIGINT NULL   /* From: SubModelLogRecord */ ,
  ddl_instancelowid BIGINT NULL   /* From: SubModelLogRecord */ ,
  ddl_instanceversion VARCHAR(32) NULL   /* From: SubModelLogRecord */ ,
  ddl_oldvalue VARCHAR(255) NULL   /* From: SubModelLogRecord */ ,
  ddl_oldtext TEXT NULL   /* From: SubModelLogRecord */ ,
  ddl_newvalue VARCHAR(255) NULL   /* From: SubModelLogRecord */ ,
  ddl_newtext TEXT NULL   /* From: SubModelLogRecord */ ,
  ddl_remark VARCHAR(80) NULL   /* From: SubModelLogRecord */ ,
  ddl_olddtmodified VARCHAR(27) NULL   /* From: SubModelLogRecord */ ,
  ddl_newdtmodified VARCHAR(27) NULL   /* From: SubModelLogRecord */ ,
  ddl_oldmodifiedby VARCHAR(32) NULL   /* From: SubModelLogRecord */ ,
  ddl_newmodifiedby VARCHAR(32) NULL   /* From: SubModelLogRecord */ ,
  ddl_changeactionname VARCHAR(32) NULL   /* From: SubModelLogRecord */ ,
  ddl_logowner_highid BIGINT NOT NULL , 
  ddl_logowner_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_documentdictionarylogrecord PRIMARY KEY (ddl_highid, ddl_lowid)
)
go

/* ************************************************************************** */
/* DocumentRecord Table Definition                                            */
/* ************************************************************************** */

CREATE TABLE dr_documentrecord (
  dr_highid BIGINT NOT NULL   /* From: DBObject */ ,
  dr_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  dr_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  dr_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  dr_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  dr_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  dr_locked CHAR(1) NULL   /* From: DBObject */ ,
  dr_release VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_version VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  dr_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  dr_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  dr_resourceid INTEGER NULL   /* From: Element */ ,
  dr_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  dr_definition TEXT NULL   /* From: ModelElement */ ,
  dr_label VARCHAR(20) NULL   /* From: LabelModelElement */ ,
  dr_ordinalposition INTEGER NULL   /* From: LabelModelElement */ ,
  dr_modificationdate CHAR(10) NULL   /* From: DocumentRecord */ ,
  dr_recordtype VARCHAR(20) NULL   /* From: DocumentRecord */ ,
  dr_sourcekey VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_authors VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_editors VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_title TEXT NULL   /* From: DocumentRecord */ ,
  dr_isbn VARCHAR(20) NULL   /* From: DocumentRecord */ ,
  dr_publicationtype VARCHAR(40) NULL   /* From: DocumentRecord */ ,
  dr_booktitle VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_crossref VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_publisher VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_series VARCHAR(160) NULL   /* From: DocumentRecord */ ,
  dr_cdrom VARCHAR(255) NULL   /* From: DocumentRecord */ ,
  dr_journal VARCHAR(128) NULL   /* From: DocumentRecord */ ,
  dr_month VARCHAR(40) NULL   /* From: DocumentRecord */ ,
  dr_number VARCHAR(40) NULL   /* From: DocumentRecord */ ,
  dr_pages VARCHAR(40) NULL   /* From: DocumentRecord */ ,
  dr_rating CHAR(8) NULL   /* From: DocumentRecord */ ,
  dr_reviewid VARCHAR(64) NULL   /* From: DocumentRecord */ ,
  dr_school VARCHAR(80) NULL   /* From: DocumentRecord */ ,
  dr_tableofcontentsurl TEXT NULL   /* From: DocumentRecord */ ,
  dr_volume VARCHAR(40) NULL   /* From: DocumentRecord */ ,
  dr_year CHAR(4) NULL   /* From: DocumentRecord */ ,
  dr_endpage VARCHAR(20) NULL   /* From: DocumentRecord */ ,
  dr_pagecount INTEGER NULL   /* From: DocumentRecord */ ,
  dr_startpage VARCHAR(20) NULL   /* From: DocumentRecord */ ,
  dr_crossref_highid BIGINT NULL , 
  dr_crossref_lowid BIGINT NULL , 
  dr_documentdictionary_highid BIGINT NOT NULL , 
  dr_documentdictionary_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_documentrecord PRIMARY KEY (dr_highid, dr_lowid)
)
go

/* ************************************************************************** */
/* ElectronicEdition Table Definition                                         */
/* ************************************************************************** */

CREATE TABLE ee_electronicedition (
  ee_highid BIGINT NOT NULL   /* From: DBObject */ ,
  ee_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  ee_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  ee_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  ee_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  ee_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  ee_locked CHAR(1) NULL   /* From: DBObject */ ,
  ee_release VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_version VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  ee_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  ee_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  ee_resourceid INTEGER NULL   /* From: Element */ ,
  ee_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  ee_definition TEXT NULL   /* From: ModelElement */ ,
  ee_label VARCHAR(20) NULL   /* From: LabelModelElement */ ,
  ee_ordinalposition INTEGER NULL   /* From: LabelModelElement */ ,
  ee_url TEXT NULL   /* From: ElectronicEdition */ ,
  ee_accessdate CHAR(10) NULL   /* From: ElectronicEdition */ ,
  ee_documentrecord_highid BIGINT NOT NULL , 
  ee_documentrecord_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_electronicedition PRIMARY KEY (ee_highid, ee_lowid)
)
go

/* ************************************************************************** */
/* Note Table Definition                                                      */
/* ************************************************************************** */

CREATE TABLE no_note (
  no_highid BIGINT NOT NULL   /* From: DBObject */ ,
  no_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  no_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  no_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  no_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  no_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  no_locked CHAR(1) NULL   /* From: DBObject */ ,
  no_release VARCHAR(32) NULL   /* From: DBObject */ ,
  no_version VARCHAR(32) NULL   /* From: DBObject */ ,
  no_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  no_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  no_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  no_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  no_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  no_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  no_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  no_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  no_resourceid INTEGER NULL   /* From: Element */ ,
  no_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  no_definition TEXT NULL   /* From: ModelElement */ ,
  no_label VARCHAR(20) NULL   /* From: LabelModelElement */ ,
  no_ordinalposition INTEGER NULL   /* From: LabelModelElement */ ,
  no_type VARCHAR(20) NULL   /* From: Note */ ,
  no_documentrecord_highid BIGINT NOT NULL , 
  no_documentrecord_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_note PRIMARY KEY (no_highid, no_lowid)
)
go

/* ************************************************************************** */
/* ObjectRecord Table Definition                                              */
/* ************************************************************************** */

CREATE TABLE or_objectrecord (
  or_highid BIGINT NOT NULL   /* From: DBObject */ ,
  or_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  or_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  or_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  or_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  or_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  or_locked CHAR(1) NULL   /* From: DBObject */ ,
  or_release VARCHAR(32) NULL   /* From: DBObject */ ,
  or_version VARCHAR(32) NULL   /* From: DBObject */ ,
  or_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  or_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  or_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  or_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  or_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  or_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  or_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  or_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  or_resourceid INTEGER NULL   /* From: Element */ ,
  or_objecttype VARCHAR(20) NULL   /* From: ObjectRecord */ ,
  or_data TEXT NULL   /* From: ObjectRecord */ ,
  or_contentrecord_highid BIGINT NOT NULL , 
  or_contentrecord_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_objectrecord PRIMARY KEY (or_highid, or_lowid)
)
go

/* ************************************************************************** */
/* AttributeDefinition Table Definition                                       */
/* ************************************************************************** */

CREATE TABLE prad_attributedefinition (
  prad_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prad_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prad_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prad_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prad_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prad_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prad_locked CHAR(1) NULL   /* From: DBObject */ ,
  prad_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prad_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prad_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prad_resourceid INTEGER NULL   /* From: Element */ ,
  prad_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  prad_definition TEXT NULL   /* From: ModelElement */ ,
  prad_label VARCHAR(20) NULL   /* From: Object */ ,
  prad_shortname CHAR(18) NULL   /* From: Object */ ,
  prad_altshortname CHAR(18) NULL   /* From: Object */ ,
  prad_altname VARCHAR(32) NULL   /* From: Object */ ,
  prad_altdefinition TEXT NULL   /* From: Object */ ,
  prad_auxname VARCHAR(32) NULL   /* From: Object */ ,
  prad_auxdefinition TEXT NULL   /* From: Object */ ,
  prad_codegendata VARCHAR(32) NULL   /* From: Object */ ,
  prad_defaultvalue VARCHAR(255) NULL   /* From: AttributeDefinition */ ,
  prad_type VARCHAR(64) NULL   /* From: AttributeDefinition */ ,
  prad_classdefinition_highid BIGINT NULL , 
  prad_classdefinition_lowid BIGINT NULL , 
  CONSTRAINT pk_attributedefinition PRIMARY KEY (prad_highid, prad_lowid)
)
go

/* ************************************************************************** */
/* ClassDefinition Table Definition                                           */
/* ************************************************************************** */

CREATE TABLE prcd_classdefinition (
  prcd_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prcd_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prcd_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prcd_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prcd_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prcd_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prcd_locked CHAR(1) NULL   /* From: DBObject */ ,
  prcd_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prcd_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prcd_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prcd_resourceid INTEGER NULL   /* From: Element */ ,
  prcd_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  prcd_definition TEXT NULL   /* From: ModelElement */ ,
  prcd_label VARCHAR(20) NULL   /* From: Object */ ,
  prcd_shortname CHAR(18) NULL   /* From: Object */ ,
  prcd_altshortname CHAR(18) NULL   /* From: Object */ ,
  prcd_altname VARCHAR(32) NULL   /* From: Object */ ,
  prcd_altdefinition TEXT NULL   /* From: Object */ ,
  prcd_auxname VARCHAR(32) NULL   /* From: Object */ ,
  prcd_auxdefinition TEXT NULL   /* From: Object */ ,
  prcd_codegendata VARCHAR(32) NULL   /* From: Object */ ,
  prcd_baseclass VARCHAR(32) NULL   /* From: ClassDefinition */ ,
  prcd_profile_highid BIGINT NOT NULL , 
  prcd_profile_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_classdefinition PRIMARY KEY (prcd_highid, prcd_lowid)
)
go

/* ************************************************************************** */
/* GeneralizationDefinition Table Definition                                  */
/* ************************************************************************** */

CREATE TABLE prgd_generalizationdefinition (
  prgd_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prgd_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prgd_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prgd_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prgd_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prgd_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prgd_locked CHAR(1) NULL   /* From: DBObject */ ,
  prgd_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prgd_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prgd_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prgd_resourceid INTEGER NULL   /* From: Element */ ,
  prgd_discriminator VARCHAR(32) NULL   /* From: GeneralizationDefinition */ ,
  prgd_subclass_highid BIGINT NOT NULL , 
  prgd_subclass_lowid BIGINT NOT NULL , 
  prgd_superclass_highid BIGINT NULL , 
  prgd_superclass_lowid BIGINT NULL , 
  CONSTRAINT pk_generalizationdefinition PRIMARY KEY (prgd_highid, prgd_lowid)
)
go

/* ************************************************************************** */
/* Profile Table Definition                                                   */
/* ************************************************************************** */

CREATE TABLE prpe_profile (
  prpe_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prpe_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prpe_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prpe_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prpe_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prpe_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prpe_locked CHAR(1) NULL   /* From: DBObject */ ,
  prpe_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prpe_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prpe_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prpe_resourceid INTEGER NULL   /* From: Element */ ,
  prpe_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  prpe_definition TEXT NULL   /* From: ModelElement */ ,
  prpe_dtsynchronized VARCHAR(27) NULL   /* From: Model */ ,
  prpe_model_highid BIGINT NOT NULL , 
  prpe_model_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_profile PRIMARY KEY (prpe_highid, prpe_lowid)
)
go

/* ************************************************************************** */
/* ProfileLink Table Definition                                               */
/* ************************************************************************** */

CREATE TABLE prpl_profilelink (
  prpl_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prpl_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prpl_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prpl_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prpl_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prpl_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prpl_locked CHAR(1) NULL   /* From: DBObject */ ,
  prpl_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prpl_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prpl_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prpl_resourceid INTEGER NULL   /* From: Element */ ,
  prpl_detailclass VARCHAR(32) NULL   /* From: ProfileLink */ ,
  prpl_masterclass VARCHAR(32) NULL   /* From: ProfileLink */ ,
  prpl_relationshipname VARCHAR(32) NULL   /* From: ProfileLink */ ,
  prpl_profiledetail_highid BIGINT NOT NULL , 
  prpl_profiledetail_lowid BIGINT NOT NULL , 
  prpl_profilemaster_highid BIGINT NOT NULL , 
  prpl_profilemaster_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_profilelink PRIMARY KEY (prpl_highid, prpl_lowid)
)
go

/* ************************************************************************** */
/* ProfileObject Table Definition                                             */
/* ************************************************************************** */

CREATE TABLE prpo_profileobject (
  prpo_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prpo_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prpo_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prpo_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prpo_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prpo_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prpo_locked CHAR(1) NULL   /* From: DBObject */ ,
  prpo_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prpo_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prpo_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prpo_resourceid INTEGER NULL   /* From: Element */ ,
  prpo_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  prpo_definition TEXT NULL   /* From: ModelElement */ ,
  prpo_classname VARCHAR(32) NULL   /* From: ProfileObject */ ,
  prpo_model_highid BIGINT NOT NULL , 
  prpo_model_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_profileobject PRIMARY KEY (prpo_highid, prpo_lowid)
)
go

/* ************************************************************************** */
/* ProfileValue Table Definition                                              */
/* ************************************************************************** */

CREATE TABLE prpv_profilevalue (
  prpv_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prpv_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prpv_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prpv_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prpv_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prpv_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prpv_locked CHAR(1) NULL   /* From: DBObject */ ,
  prpv_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prpv_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prpv_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prpv_resourceid INTEGER NULL   /* From: Element */ ,
  prpv_classname VARCHAR(32) NULL   /* From: ProfileValue */ ,
  prpv_attributename VARCHAR(32) NULL   /* From: ProfileValue */ ,
  prpv_value VARCHAR(255) NULL   /* From: ProfileValue */ ,
  prpv_modelelement_highid BIGINT NOT NULL , 
  prpv_modelelement_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_profilevalue PRIMARY KEY (prpv_highid, prpv_lowid)
)
go

/* ************************************************************************** */
/* RelationshipDefinition Table Definition                                    */
/* ************************************************************************** */

CREATE TABLE prrd_relationshipdefinition (
  prrd_highid BIGINT NOT NULL   /* From: DBObject */ ,
  prrd_lowid BIGINT NOT NULL   /* From: DBObject */ ,
  prrd_dtadded VARCHAR(27) NULL   /* From: DBObject */ ,
  prrd_dtmodified VARCHAR(27) NULL   /* From: DBObject */ ,
  prrd_dtchecked VARCHAR(27) NULL   /* From: DBObject */ ,
  prrd_dtapproved VARCHAR(27) NULL   /* From: DBObject */ ,
  prrd_locked CHAR(1) NULL   /* From: DBObject */ ,
  prrd_release VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_version VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_createdby VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_modifiedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_checkedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_approvedby VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_releasebasedonhighid BIGINT NULL   /* From: DBObject */ ,
  prrd_releasebasedonlowid BIGINT NULL   /* From: DBObject */ ,
  prrd_releasebasedonversion VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_releasebasedonrelease VARCHAR(32) NULL   /* From: DBObject */ ,
  prrd_resourceid INTEGER NULL   /* From: Element */ ,
  prrd_name VARCHAR(128) NULL   /* From: ModelElement */ ,
  prrd_definition TEXT NULL   /* From: ModelElement */ ,
  prrd_label VARCHAR(20) NULL   /* From: Object */ ,
  prrd_shortname CHAR(18) NULL   /* From: Object */ ,
  prrd_altshortname CHAR(18) NULL   /* From: Object */ ,
  prrd_altname VARCHAR(32) NULL   /* From: Object */ ,
  prrd_altdefinition TEXT NULL   /* From: Object */ ,
  prrd_auxname VARCHAR(32) NULL   /* From: Object */ ,
  prrd_auxdefinition TEXT NULL   /* From: Object */ ,
  prrd_codegendata VARCHAR(32) NULL   /* From: Object */ ,
  prrd_detailclass VARCHAR(32) NULL   /* From: RelationshipDefinition */ ,
  prrd_masterclass VARCHAR(32) NULL   /* From: RelationshipDefinition */ ,
  prrd_namedetailtomaster VARCHAR(32) NULL   /* From: RelationshipDefinition */ ,
  prrd_namemastertodetail VARCHAR(32) NULL   /* From: RelationshipDefinition */ ,
  prrd_isavailable CHAR(1) NULL   /* From: RelationshipDefinition */ ,
  prrd_isvisible CHAR(1) NULL   /* From: RelationshipDefinition */ ,
  prrd_relationshiptype CHAR(3) NULL   /* From: RelationshipDefinition */ ,
  prrd_ownsmastertodetail CHAR(1) NULL   /* From: RelationshipDefinition */ ,
  prrd_profile_highid BIGINT NOT NULL , 
  prrd_profile_lowid BIGINT NOT NULL , 
  CONSTRAINT pk_relationshipdefinition PRIMARY KEY (prrd_highid, prrd_lowid)
)
go
/* sqlForeignKeyConstraints.sql for domainmodel 'DocumentDictionary100f'      */



/* ************************************************************************** */
/* AuthorDocument Integrity Constraints                                       */
/* ************************************************************************** */

  ALTER TABLE ad_authordocument
    ADD CONSTRAINT ad_fk_authorrecord
        FOREIGN KEY (ad_authorrecord_highid, ad_authorrecord_lowid)
        REFERENCES au_authorrecord(au_highid, au_lowid)

go
  ALTER TABLE ad_authordocument
    ADD CONSTRAINT ad_fk_documentrecord
        FOREIGN KEY (ad_documentrecord_highid, ad_documentrecord_lowid)
        REFERENCES dr_documentrecord(dr_highid, dr_lowid)

go

/* ************************************************************************** */
/* Cite Integrity Constraints                                                 */
/* ************************************************************************** */

  ALTER TABLE ci_cite
    ADD CONSTRAINT ci_fk_citedby
        FOREIGN KEY (ci_citedby_highid, ci_citedby_lowid)
        REFERENCES dr_documentrecord(dr_highid, dr_lowid)

go

/* ************************************************************************** */
/* GeneralizationDefinition Integrity Constraints                             */
/* ************************************************************************** */

  ALTER TABLE prgd_generalizationdefinition
    ADD CONSTRAINT prgd_fk_subclass
        FOREIGN KEY (prgd_subclass_highid, prgd_subclass_lowid)
        REFERENCES prcd_classdefinition(prcd_highid, prcd_lowid)

go

/* ************************************************************************** */
/* AuthorRecord Integrity Constraints                                         */
/* ************************************************************************** */

  ALTER TABLE au_authorrecord
    ADD CONSTRAINT au_fk_documentdictionary
        FOREIGN KEY (au_documentdictionary_highid, au_documentdictionary_lowid)
        REFERENCES dd_documentdictionary(dd_highid, dd_lowid)

go

/* ************************************************************************** */
/* Category Integrity Constraints                                             */
/* ************************************************************************** */

  ALTER TABLE caco_category
    ADD CONSTRAINT caco_fk_documentdictionary
        FOREIGN KEY (caco_documentdictionary_highid, caco_documentdictionary_lowid)
        REFERENCES dd_documentdictionary(dd_highid, dd_lowid)

go

/* ************************************************************************** */
/* CategoryLink Integrity Constraints                                         */
/* ************************************************************************** */

  ALTER TABLE cacl_categorylink
    ADD CONSTRAINT cacl_fk_category
        FOREIGN KEY (cacl_category_highid, cacl_category_lowid)
        REFERENCES caco_category(caco_highid, caco_lowid)

go

/* ************************************************************************** */
/* ContentRecord Integrity Constraints                                        */
/* ************************************************************************** */

  ALTER TABLE cr_contentrecord
    ADD CONSTRAINT cr_fk_documentrecord
        FOREIGN KEY (cr_documentrecord_highid, cr_documentrecord_lowid)
        REFERENCES dr_documentrecord(dr_highid, dr_lowid)

go

/* ************************************************************************** */
/* DocumentRecord Integrity Constraints                                       */
/* ************************************************************************** */

  ALTER TABLE dr_documentrecord
    ADD CONSTRAINT dr_fk_documentdictionary
        FOREIGN KEY (dr_documentdictionary_highid, dr_documentdictionary_lowid)
        REFERENCES dd_documentdictionary(dd_highid, dd_lowid)

go

/* ************************************************************************** */
/* ElectronicEdition Integrity Constraints                                    */
/* ************************************************************************** */

  ALTER TABLE ee_electronicedition
    ADD CONSTRAINT ee_fk_documentrecord
        FOREIGN KEY (ee_documentrecord_highid, ee_documentrecord_lowid)
        REFERENCES dr_documentrecord(dr_highid, dr_lowid)

go

/* ************************************************************************** */
/* Note Integrity Constraints                                                 */
/* ************************************************************************** */

  ALTER TABLE no_note
    ADD CONSTRAINT no_fk_documentrecord
        FOREIGN KEY (no_documentrecord_highid, no_documentrecord_lowid)
        REFERENCES dr_documentrecord(dr_highid, dr_lowid)

go

/* ************************************************************************** */
/* ClassDefinition Integrity Constraints                                      */
/* ************************************************************************** */

  ALTER TABLE prcd_classdefinition
    ADD CONSTRAINT prcd_fk_profile
        FOREIGN KEY (prcd_profile_highid, prcd_profile_lowid)
        REFERENCES prpe_profile(prpe_highid, prpe_lowid)

go

/* ************************************************************************** */
/* RelationshipDefinition Integrity Constraints                               */
/* ************************************************************************** */

  ALTER TABLE prrd_relationshipdefinition
    ADD CONSTRAINT prrd_fk_profile
        FOREIGN KEY (prrd_profile_highid, prrd_profile_lowid)
        REFERENCES prpe_profile(prpe_highid, prpe_lowid)

go

/* ************************************************************************** */
/* ObjectRecord Integrity Constraints                                         */
/* ************************************************************************** */

  ALTER TABLE or_objectrecord
    ADD CONSTRAINT or_fk_contentrecord
        FOREIGN KEY (or_contentrecord_highid, or_contentrecord_lowid)
        REFERENCES cr_contentrecord(cr_highid, cr_lowid)

go

/* ************************************************************************** */
/* DocumentDictionaryLogRecord Integrity Constraints                          */
/* ************************************************************************** */

  ALTER TABLE ddl_documentdictionarylogrecord
    ADD CONSTRAINT ddl_fk_logowner
        FOREIGN KEY (ddl_logowner_highid, ddl_logowner_lowid)
        REFERENCES dd_documentdictionary(dd_highid, dd_lowid)

go
/* sqlForeignKeyIndexes.sql for domainmodel 'DocumentDictionary100f'          */



/* ************************************************************************** */
/* AuthorDocument Integrity Constraints                                       */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_ad_authorrecord ON ad_authordocument ( 
    ad_authorrecord_highid, ad_authorrecord_lowid,
    ad_highid, ad_lowid
  )

go
  CREATE UNIQUE INDEX i_ad_documentrecord ON ad_authordocument ( 
    ad_documentrecord_highid, ad_documentrecord_lowid,
    ad_highid, ad_lowid
  )

go

/* ************************************************************************** */
/* Cite Integrity Constraints                                                 */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_ci_cited ON ci_cite ( 
    ci_cited_highid, ci_cited_lowid,
    ci_highid, ci_lowid
  )

go
  CREATE UNIQUE INDEX i_ci_citedby ON ci_cite ( 
    ci_citedby_highid, ci_citedby_lowid,
    ci_highid, ci_lowid
  )

go

/* ************************************************************************** */
/* GeneralizationDefinition Integrity Constraints                             */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prgd_subclass ON prgd_generalizationdefinition ( 
    prgd_subclass_highid, prgd_subclass_lowid,
    prgd_highid, prgd_lowid
  )

go
  CREATE UNIQUE INDEX i_prgd_superclass ON prgd_generalizationdefinition ( 
    prgd_superclass_highid, prgd_superclass_lowid,
    prgd_highid, prgd_lowid
  )

go

/* ************************************************************************** */
/* AuthorRecord Integrity Constraints                                         */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_au_documentdictionary ON au_authorrecord ( 
    au_documentdictionary_highid, au_documentdictionary_lowid,
    au_highid, au_lowid
  )

go

/* ************************************************************************** */
/* Category Integrity Constraints                                             */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_caco_documentdictionary ON caco_category ( 
    caco_documentdictionary_highid, caco_documentdictionary_lowid,
    caco_highid, caco_lowid
  )

go
  CREATE UNIQUE INDEX i_caco_maincategory ON caco_category ( 
    caco_maincategory_highid, caco_maincategory_lowid,
    caco_highid, caco_lowid
  )

go

/* ************************************************************************** */
/* CategoryLink Integrity Constraints                                         */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_cacl_category ON cacl_categorylink ( 
    cacl_category_highid, cacl_category_lowid,
    cacl_highid, cacl_lowid
  )

go
  CREATE UNIQUE INDEX i_cacl_modelelement ON cacl_categorylink ( 
    cacl_modelelement_highid, cacl_modelelement_lowid,
    cacl_highid, cacl_lowid
  )

go

/* ************************************************************************** */
/* ContentRecord Integrity Constraints                                        */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_cr_contentcontainer ON cr_contentrecord ( 
    cr_contentcontainer_highid, cr_contentcontainer_lowid,
    cr_highid, cr_lowid
  )

go
  CREATE UNIQUE INDEX i_cr_documentrecord ON cr_contentrecord ( 
    cr_documentrecord_highid, cr_documentrecord_lowid,
    cr_highid, cr_lowid
  )

go

/* ************************************************************************** */
/* DocumentRecord Integrity Constraints                                       */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_dr_crossref ON dr_documentrecord ( 
    dr_crossref_highid, dr_crossref_lowid,
    dr_highid, dr_lowid
  )

go
  CREATE UNIQUE INDEX i_dr_documentdictionary ON dr_documentrecord ( 
    dr_documentdictionary_highid, dr_documentdictionary_lowid,
    dr_highid, dr_lowid
  )

go

/* ************************************************************************** */
/* ElectronicEdition Integrity Constraints                                    */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_ee_documentrecord ON ee_electronicedition ( 
    ee_documentrecord_highid, ee_documentrecord_lowid,
    ee_highid, ee_lowid
  )

go

/* ************************************************************************** */
/* Note Integrity Constraints                                                 */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_no_documentrecord ON no_note ( 
    no_documentrecord_highid, no_documentrecord_lowid,
    no_highid, no_lowid
  )

go

/* ************************************************************************** */
/* AttributeDefinition Integrity Constraints                                  */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prad_classdefinition ON prad_attributedefinition ( 
    prad_classdefinition_highid, prad_classdefinition_lowid,
    prad_highid, prad_lowid
  )

go

/* ************************************************************************** */
/* ClassDefinition Integrity Constraints                                      */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prcd_profile ON prcd_classdefinition ( 
    prcd_profile_highid, prcd_profile_lowid,
    prcd_highid, prcd_lowid
  )

go

/* ************************************************************************** */
/* RelationshipDefinition Integrity Constraints                               */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prrd_profile ON prrd_relationshipdefinition ( 
    prrd_profile_highid, prrd_profile_lowid,
    prrd_highid, prrd_lowid
  )

go

/* ************************************************************************** */
/* Profile Integrity Constraints                                              */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prpe_model ON prpe_profile ( 
    prpe_model_highid, prpe_model_lowid,
    prpe_highid, prpe_lowid
  )

go

/* ************************************************************************** */
/* ProfileObject Integrity Constraints                                        */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prpo_model ON prpo_profileobject ( 
    prpo_model_highid, prpo_model_lowid,
    prpo_highid, prpo_lowid
  )

go

/* ************************************************************************** */
/* ObjectRecord Integrity Constraints                                         */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_or_contentrecord ON or_objectrecord ( 
    or_contentrecord_highid, or_contentrecord_lowid,
    or_highid, or_lowid
  )

go

/* ************************************************************************** */
/* ProfileLink Integrity Constraints                                          */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prpl_profiledetail ON prpl_profilelink ( 
    prpl_profiledetail_highid, prpl_profiledetail_lowid,
    prpl_highid, prpl_lowid
  )

go
  CREATE UNIQUE INDEX i_prpl_profilemaster ON prpl_profilelink ( 
    prpl_profilemaster_highid, prpl_profilemaster_lowid,
    prpl_highid, prpl_lowid
  )

go

/* ************************************************************************** */
/* ProfileValue Integrity Constraints                                         */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_prpv_modelelement ON prpv_profilevalue ( 
    prpv_modelelement_highid, prpv_modelelement_lowid,
    prpv_highid, prpv_lowid
  )

go

/* ************************************************************************** */
/* DocumentDictionaryLogRecord Integrity Constraints                          */
/* ************************************************************************** */

  CREATE UNIQUE INDEX i_ddl_logowner ON ddl_documentdictionarylogrecord ( 
    ddl_logowner_highid, ddl_logowner_lowid,
    ddl_highid, ddl_lowid
  )

go
/* sqlView.sql for domainmodel 'DocumentDictionary100f'                       */



/* ************************************************************************** */
/* AuthorDocument View Definition                                             */
/* ************************************************************************** */

CREATE VIEW authordocument (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    authorrole , 
    resourceid , 
    authorrecord_highid , 
    authorrecord_lowid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    ad_highid , 
    ad_lowid , 
    ad_dtadded , 
    ad_dtmodified , 
    ad_dtchecked , 
    ad_dtapproved , 
    ad_locked , 
    ad_release , 
    ad_version , 
    ad_createdby , 
    ad_modifiedby , 
    ad_checkedby , 
    ad_approvedby , 
    ad_releasebasedonhighid , 
    ad_releasebasedonlowid , 
    ad_releasebasedonversion , 
    ad_releasebasedonrelease , 
    ad_authorrole , 
    ad_resourceid , 
    ad_authorrecord_highid , 
    ad_authorrecord_lowid , 
    ad_documentrecord_highid , 
    ad_documentrecord_lowid 
  FROM ad_authordocument
go

/* ************************************************************************** */
/* Cite View Definition                                                       */
/* ************************************************************************** */

CREATE VIEW cite (
    highid , 
    lowid , 
    citedkey , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    resourceid , 
    cited_highid , 
    cited_lowid , 
    citedby_highid , 
    citedby_lowid 
  )
  AS SELECT 
    ci_highid , 
    ci_lowid , 
    ci_citedkey , 
    ci_dtadded , 
    ci_dtmodified , 
    ci_dtchecked , 
    ci_dtapproved , 
    ci_locked , 
    ci_release , 
    ci_version , 
    ci_createdby , 
    ci_modifiedby , 
    ci_checkedby , 
    ci_approvedby , 
    ci_releasebasedonhighid , 
    ci_releasebasedonlowid , 
    ci_releasebasedonversion , 
    ci_releasebasedonrelease , 
    ci_label , 
    ci_resourceid , 
    ci_cited_highid , 
    ci_cited_lowid , 
    ci_citedby_highid , 
    ci_citedby_lowid 
  FROM ci_cite
go

/* ************************************************************************** */
/* GeneralizationDefinition View Definition                                   */
/* ************************************************************************** */

CREATE VIEW generalizationdefinition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    discriminator , 
    resourceid , 
    subclass_highid , 
    subclass_lowid , 
    superclass_highid , 
    superclass_lowid 
  )
  AS SELECT 
    prgd_highid , 
    prgd_lowid , 
    prgd_dtadded , 
    prgd_dtmodified , 
    prgd_dtchecked , 
    prgd_dtapproved , 
    prgd_locked , 
    prgd_release , 
    prgd_version , 
    prgd_createdby , 
    prgd_modifiedby , 
    prgd_checkedby , 
    prgd_approvedby , 
    prgd_releasebasedonhighid , 
    prgd_releasebasedonlowid , 
    prgd_releasebasedonversion , 
    prgd_releasebasedonrelease , 
    prgd_discriminator , 
    prgd_resourceid , 
    prgd_subclass_highid , 
    prgd_subclass_lowid , 
    prgd_superclass_highid , 
    prgd_superclass_lowid 
  FROM prgd_generalizationdefinition
go

/* ************************************************************************** */
/* AuthorRecord View Definition                                               */
/* ************************************************************************** */

CREATE VIEW authorrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid , 
    documentdictionary_highid , 
    documentdictionary_lowid 
  )
  AS SELECT 
    au_highid , 
    au_lowid , 
    au_dtadded , 
    au_dtmodified , 
    au_dtchecked , 
    au_dtapproved , 
    au_locked , 
    au_release , 
    au_version , 
    au_createdby , 
    au_modifiedby , 
    au_checkedby , 
    au_approvedby , 
    au_releasebasedonhighid , 
    au_releasebasedonlowid , 
    au_releasebasedonversion , 
    au_releasebasedonrelease , 
    au_name , 
    au_definition , 
    au_resourceid , 
    au_documentdictionary_highid , 
    au_documentdictionary_lowid 
  FROM au_authorrecord
go

/* ************************************************************************** */
/* Category View Definition                                                   */
/* ************************************************************************** */

CREATE VIEW category (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    documentdictionary_highid , 
    documentdictionary_lowid , 
    maincategory_highid , 
    maincategory_lowid 
  )
  AS SELECT 
    caco_highid , 
    caco_lowid , 
    caco_dtadded , 
    caco_dtmodified , 
    caco_dtchecked , 
    caco_dtapproved , 
    caco_locked , 
    caco_release , 
    caco_version , 
    caco_createdby , 
    caco_modifiedby , 
    caco_checkedby , 
    caco_approvedby , 
    caco_releasebasedonhighid , 
    caco_releasebasedonlowid , 
    caco_releasebasedonversion , 
    caco_releasebasedonrelease , 
    caco_label , 
    caco_name , 
    caco_definition , 
    caco_ordinalposition , 
    caco_resourceid , 
    caco_documentdictionary_highid , 
    caco_documentdictionary_lowid , 
    caco_maincategory_highid , 
    caco_maincategory_lowid 
  FROM caco_category
go

/* ************************************************************************** */
/* CategoryLink View Definition                                               */
/* ************************************************************************** */

CREATE VIEW categorylink (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    categoryrole , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    category_highid , 
    category_lowid , 
    modelelement_highid , 
    modelelement_lowid 
  )
  AS SELECT 
    cacl_highid , 
    cacl_lowid , 
    cacl_dtadded , 
    cacl_dtmodified , 
    cacl_dtchecked , 
    cacl_dtapproved , 
    cacl_locked , 
    cacl_release , 
    cacl_version , 
    cacl_createdby , 
    cacl_modifiedby , 
    cacl_checkedby , 
    cacl_approvedby , 
    cacl_releasebasedonhighid , 
    cacl_releasebasedonlowid , 
    cacl_releasebasedonversion , 
    cacl_releasebasedonrelease , 
    cacl_categoryrole , 
    cacl_label , 
    cacl_name , 
    cacl_definition , 
    cacl_ordinalposition , 
    cacl_resourceid , 
    cacl_category_highid , 
    cacl_category_lowid , 
    cacl_modelelement_highid , 
    cacl_modelelement_lowid 
  FROM cacl_categorylink
go

/* ************************************************************************** */
/* ContentRecord View Definition                                              */
/* ************************************************************************** */

CREATE VIEW contentrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    containertype , 
    label , 
    name , 
    definition , 
    endline , 
    endpage , 
    pagecount , 
    startline , 
    startpage , 
    ordinalposition , 
    resourceid , 
    contentcontainer_highid , 
    contentcontainer_lowid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    cr_highid , 
    cr_lowid , 
    cr_dtadded , 
    cr_dtmodified , 
    cr_dtchecked , 
    cr_dtapproved , 
    cr_locked , 
    cr_release , 
    cr_version , 
    cr_createdby , 
    cr_modifiedby , 
    cr_checkedby , 
    cr_approvedby , 
    cr_releasebasedonhighid , 
    cr_releasebasedonlowid , 
    cr_releasebasedonversion , 
    cr_releasebasedonrelease , 
    cr_containertype , 
    cr_label , 
    cr_name , 
    cr_definition , 
    cr_endline , 
    cr_endpage , 
    cr_pagecount , 
    cr_startline , 
    cr_startpage , 
    cr_ordinalposition , 
    cr_resourceid , 
    cr_contentcontainer_highid , 
    cr_contentcontainer_lowid , 
    cr_documentrecord_highid , 
    cr_documentrecord_lowid 
  FROM cr_contentrecord
go

/* ************************************************************************** */
/* DocumentRecord View Definition                                             */
/* ************************************************************************** */

CREATE VIEW documentrecord (
    highid , 
    lowid , 
    modificationdate , 
    recordtype , 
    sourcekey , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    authors , 
    editors , 
    title , 
    isbn , 
    label , 
    publicationtype , 
    name , 
    definition , 
    booktitle , 
    crossref , 
    publisher , 
    series , 
    cdrom , 
    journal , 
    month , 
    number , 
    pages , 
    rating , 
    reviewid , 
    school , 
    tableofcontentsurl , 
    volume , 
    year , 
    endpage , 
    pagecount , 
    startpage , 
    ordinalposition , 
    resourceid , 
    crossref_highid , 
    crossref_lowid , 
    documentdictionary_highid , 
    documentdictionary_lowid 
  )
  AS SELECT 
    dr_highid , 
    dr_lowid , 
    dr_modificationdate , 
    dr_recordtype , 
    dr_sourcekey , 
    dr_dtadded , 
    dr_dtmodified , 
    dr_dtchecked , 
    dr_dtapproved , 
    dr_locked , 
    dr_release , 
    dr_version , 
    dr_createdby , 
    dr_modifiedby , 
    dr_checkedby , 
    dr_approvedby , 
    dr_releasebasedonhighid , 
    dr_releasebasedonlowid , 
    dr_releasebasedonversion , 
    dr_releasebasedonrelease , 
    dr_authors , 
    dr_editors , 
    dr_title , 
    dr_isbn , 
    dr_label , 
    dr_publicationtype , 
    dr_name , 
    dr_definition , 
    dr_booktitle , 
    dr_crossref , 
    dr_publisher , 
    dr_series , 
    dr_cdrom , 
    dr_journal , 
    dr_month , 
    dr_number , 
    dr_pages , 
    dr_rating , 
    dr_reviewid , 
    dr_school , 
    dr_tableofcontentsurl , 
    dr_volume , 
    dr_year , 
    dr_endpage , 
    dr_pagecount , 
    dr_startpage , 
    dr_ordinalposition , 
    dr_resourceid , 
    dr_crossref_highid , 
    dr_crossref_lowid , 
    dr_documentdictionary_highid , 
    dr_documentdictionary_lowid 
  FROM dr_documentrecord
go

/* ************************************************************************** */
/* ElectronicEdition View Definition                                          */
/* ************************************************************************** */

CREATE VIEW electronicedition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    url , 
    accessdate , 
    ordinalposition , 
    resourceid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    ee_highid , 
    ee_lowid , 
    ee_dtadded , 
    ee_dtmodified , 
    ee_dtchecked , 
    ee_dtapproved , 
    ee_locked , 
    ee_release , 
    ee_version , 
    ee_createdby , 
    ee_modifiedby , 
    ee_checkedby , 
    ee_approvedby , 
    ee_releasebasedonhighid , 
    ee_releasebasedonlowid , 
    ee_releasebasedonversion , 
    ee_releasebasedonrelease , 
    ee_label , 
    ee_name , 
    ee_definition , 
    ee_url , 
    ee_accessdate , 
    ee_ordinalposition , 
    ee_resourceid , 
    ee_documentrecord_highid , 
    ee_documentrecord_lowid 
  FROM ee_electronicedition
go

/* ************************************************************************** */
/* Note View Definition                                                       */
/* ************************************************************************** */

CREATE VIEW note (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    type , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    no_highid , 
    no_lowid , 
    no_dtadded , 
    no_dtmodified , 
    no_dtchecked , 
    no_dtapproved , 
    no_locked , 
    no_release , 
    no_version , 
    no_createdby , 
    no_modifiedby , 
    no_checkedby , 
    no_approvedby , 
    no_releasebasedonhighid , 
    no_releasebasedonlowid , 
    no_releasebasedonversion , 
    no_releasebasedonrelease , 
    no_type , 
    no_label , 
    no_name , 
    no_definition , 
    no_ordinalposition , 
    no_resourceid , 
    no_documentrecord_highid , 
    no_documentrecord_lowid 
  FROM no_note
go

/* ************************************************************************** */
/* AttributeDefinition View Definition                                        */
/* ************************************************************************** */

CREATE VIEW attributedefinition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    defaultvalue , 
    codegendata , 
    type , 
    resourceid , 
    classdefinition_highid , 
    classdefinition_lowid 
  )
  AS SELECT 
    prad_highid , 
    prad_lowid , 
    prad_dtadded , 
    prad_dtmodified , 
    prad_dtchecked , 
    prad_dtapproved , 
    prad_locked , 
    prad_release , 
    prad_version , 
    prad_createdby , 
    prad_modifiedby , 
    prad_checkedby , 
    prad_approvedby , 
    prad_releasebasedonhighid , 
    prad_releasebasedonlowid , 
    prad_releasebasedonversion , 
    prad_releasebasedonrelease , 
    prad_label , 
    prad_name , 
    prad_definition , 
    prad_shortname , 
    prad_altshortname , 
    prad_altname , 
    prad_altdefinition , 
    prad_auxname , 
    prad_auxdefinition , 
    prad_defaultvalue , 
    prad_codegendata , 
    prad_type , 
    prad_resourceid , 
    prad_classdefinition_highid , 
    prad_classdefinition_lowid 
  FROM prad_attributedefinition
go

/* ************************************************************************** */
/* ClassDefinition View Definition                                            */
/* ************************************************************************** */

CREATE VIEW classdefinition (
    highid , 
    lowid , 
    baseclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    codegendata , 
    resourceid , 
    profile_highid , 
    profile_lowid 
  )
  AS SELECT 
    prcd_highid , 
    prcd_lowid , 
    prcd_baseclass , 
    prcd_dtadded , 
    prcd_dtmodified , 
    prcd_dtchecked , 
    prcd_dtapproved , 
    prcd_locked , 
    prcd_release , 
    prcd_version , 
    prcd_createdby , 
    prcd_modifiedby , 
    prcd_checkedby , 
    prcd_approvedby , 
    prcd_releasebasedonhighid , 
    prcd_releasebasedonlowid , 
    prcd_releasebasedonversion , 
    prcd_releasebasedonrelease , 
    prcd_label , 
    prcd_name , 
    prcd_definition , 
    prcd_shortname , 
    prcd_altshortname , 
    prcd_altname , 
    prcd_altdefinition , 
    prcd_auxname , 
    prcd_auxdefinition , 
    prcd_codegendata , 
    prcd_resourceid , 
    prcd_profile_highid , 
    prcd_profile_lowid 
  FROM prcd_classdefinition
go

/* ************************************************************************** */
/* RelationshipDefinition View Definition                                     */
/* ************************************************************************** */

CREATE VIEW relationshipdefinition (
    highid , 
    lowid , 
    detailclass , 
    masterclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    namedetailtomaster , 
    namemastertodetail , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    isavailable , 
    isvisible , 
    codegendata , 
    relationshiptype , 
    ownsmastertodetail , 
    resourceid , 
    profile_highid , 
    profile_lowid 
  )
  AS SELECT 
    prrd_highid , 
    prrd_lowid , 
    prrd_detailclass , 
    prrd_masterclass , 
    prrd_dtadded , 
    prrd_dtmodified , 
    prrd_dtchecked , 
    prrd_dtapproved , 
    prrd_locked , 
    prrd_release , 
    prrd_version , 
    prrd_createdby , 
    prrd_modifiedby , 
    prrd_checkedby , 
    prrd_approvedby , 
    prrd_releasebasedonhighid , 
    prrd_releasebasedonlowid , 
    prrd_releasebasedonversion , 
    prrd_releasebasedonrelease , 
    prrd_label , 
    prrd_namedetailtomaster , 
    prrd_namemastertodetail , 
    prrd_name , 
    prrd_definition , 
    prrd_shortname , 
    prrd_altshortname , 
    prrd_altname , 
    prrd_altdefinition , 
    prrd_auxname , 
    prrd_auxdefinition , 
    prrd_isavailable , 
    prrd_isvisible , 
    prrd_codegendata , 
    prrd_relationshiptype , 
    prrd_ownsmastertodetail , 
    prrd_resourceid , 
    prrd_profile_highid , 
    prrd_profile_lowid 
  FROM prrd_relationshipdefinition
go

/* ************************************************************************** */
/* DocumentDictionary View Definition                                         */
/* ************************************************************************** */

CREATE VIEW documentdictionary (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    dtsynchronized , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid 
  )
  AS SELECT 
    dd_highid , 
    dd_lowid , 
    dd_dtadded , 
    dd_dtmodified , 
    dd_dtchecked , 
    dd_dtapproved , 
    dd_dtsynchronized , 
    dd_locked , 
    dd_release , 
    dd_version , 
    dd_createdby , 
    dd_modifiedby , 
    dd_checkedby , 
    dd_approvedby , 
    dd_releasebasedonhighid , 
    dd_releasebasedonlowid , 
    dd_releasebasedonversion , 
    dd_releasebasedonrelease , 
    dd_name , 
    dd_definition , 
    dd_resourceid 
  FROM dd_documentdictionary
go

/* ************************************************************************** */
/* Profile View Definition                                                    */
/* ************************************************************************** */

CREATE VIEW profile (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    dtsynchronized , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid , 
    model_highid , 
    model_lowid 
  )
  AS SELECT 
    prpe_highid , 
    prpe_lowid , 
    prpe_dtadded , 
    prpe_dtmodified , 
    prpe_dtchecked , 
    prpe_dtapproved , 
    prpe_dtsynchronized , 
    prpe_locked , 
    prpe_release , 
    prpe_version , 
    prpe_createdby , 
    prpe_modifiedby , 
    prpe_checkedby , 
    prpe_approvedby , 
    prpe_releasebasedonhighid , 
    prpe_releasebasedonlowid , 
    prpe_releasebasedonversion , 
    prpe_releasebasedonrelease , 
    prpe_name , 
    prpe_definition , 
    prpe_resourceid , 
    prpe_model_highid , 
    prpe_model_lowid 
  FROM prpe_profile
go

/* ************************************************************************** */
/* ProfileObject View Definition                                              */
/* ************************************************************************** */

CREATE VIEW profileobject (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    classname , 
    name , 
    definition , 
    resourceid , 
    model_highid , 
    model_lowid 
  )
  AS SELECT 
    prpo_highid , 
    prpo_lowid , 
    prpo_dtadded , 
    prpo_dtmodified , 
    prpo_dtchecked , 
    prpo_dtapproved , 
    prpo_locked , 
    prpo_release , 
    prpo_version , 
    prpo_createdby , 
    prpo_modifiedby , 
    prpo_checkedby , 
    prpo_approvedby , 
    prpo_releasebasedonhighid , 
    prpo_releasebasedonlowid , 
    prpo_releasebasedonversion , 
    prpo_releasebasedonrelease , 
    prpo_classname , 
    prpo_name , 
    prpo_definition , 
    prpo_resourceid , 
    prpo_model_highid , 
    prpo_model_lowid 
  FROM prpo_profileobject
go

/* ************************************************************************** */
/* ObjectRecord View Definition                                               */
/* ************************************************************************** */

CREATE VIEW objectrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    objecttype , 
    data , 
    resourceid , 
    contentrecord_highid , 
    contentrecord_lowid 
  )
  AS SELECT 
    or_highid , 
    or_lowid , 
    or_dtadded , 
    or_dtmodified , 
    or_dtchecked , 
    or_dtapproved , 
    or_locked , 
    or_release , 
    or_version , 
    or_createdby , 
    or_modifiedby , 
    or_checkedby , 
    or_approvedby , 
    or_releasebasedonhighid , 
    or_releasebasedonlowid , 
    or_releasebasedonversion , 
    or_releasebasedonrelease , 
    or_objecttype , 
    or_data , 
    or_resourceid , 
    or_contentrecord_highid , 
    or_contentrecord_lowid 
  FROM or_objectrecord
go

/* ************************************************************************** */
/* ProfileLink View Definition                                                */
/* ************************************************************************** */

CREATE VIEW profilelink (
    highid , 
    lowid , 
    detailclass , 
    masterclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    relationshipname , 
    resourceid , 
    profiledetail_highid , 
    profiledetail_lowid , 
    profilemaster_highid , 
    profilemaster_lowid 
  )
  AS SELECT 
    prpl_highid , 
    prpl_lowid , 
    prpl_detailclass , 
    prpl_masterclass , 
    prpl_dtadded , 
    prpl_dtmodified , 
    prpl_dtchecked , 
    prpl_dtapproved , 
    prpl_locked , 
    prpl_release , 
    prpl_version , 
    prpl_createdby , 
    prpl_modifiedby , 
    prpl_checkedby , 
    prpl_approvedby , 
    prpl_releasebasedonhighid , 
    prpl_releasebasedonlowid , 
    prpl_releasebasedonversion , 
    prpl_releasebasedonrelease , 
    prpl_relationshipname , 
    prpl_resourceid , 
    prpl_profiledetail_highid , 
    prpl_profiledetail_lowid , 
    prpl_profilemaster_highid , 
    prpl_profilemaster_lowid 
  FROM prpl_profilelink
go

/* ************************************************************************** */
/* ProfileValue View Definition                                               */
/* ************************************************************************** */

CREATE VIEW profilevalue (
    highid , 
    lowid , 
    classname , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    attributename , 
    value , 
    resourceid , 
    modelelement_highid , 
    modelelement_lowid 
  )
  AS SELECT 
    prpv_highid , 
    prpv_lowid , 
    prpv_classname , 
    prpv_dtadded , 
    prpv_dtmodified , 
    prpv_dtchecked , 
    prpv_dtapproved , 
    prpv_locked , 
    prpv_release , 
    prpv_version , 
    prpv_createdby , 
    prpv_modifiedby , 
    prpv_checkedby , 
    prpv_approvedby , 
    prpv_releasebasedonhighid , 
    prpv_releasebasedonlowid , 
    prpv_releasebasedonversion , 
    prpv_releasebasedonrelease , 
    prpv_attributename , 
    prpv_value , 
    prpv_resourceid , 
    prpv_modelelement_highid , 
    prpv_modelelement_lowid 
  FROM prpv_profilevalue
go

/* ************************************************************************** */
/* DocumentDictionaryLogRecord View Definition                                */
/* ************************************************************************** */

CREATE VIEW documentdictionarylogrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    classname , 
    name , 
    attributename , 
    instancehighid , 
    instancelowid , 
    instanceversion , 
    oldvalue , 
    oldtext , 
    newvalue , 
    newtext , 
    remark , 
    olddtmodified , 
    newdtmodified , 
    oldmodifiedby , 
    newmodifiedby , 
    changeactionname , 
    logowner_highid , 
    logowner_lowid 
  )
  AS SELECT 
    ddl_highid , 
    ddl_lowid , 
    ddl_dtadded , 
    ddl_dtmodified , 
    ddl_dtchecked , 
    ddl_dtapproved , 
    ddl_locked , 
    ddl_release , 
    ddl_version , 
    ddl_createdby , 
    ddl_modifiedby , 
    ddl_checkedby , 
    ddl_approvedby , 
    ddl_releasebasedonhighid , 
    ddl_releasebasedonlowid , 
    ddl_releasebasedonversion , 
    ddl_releasebasedonrelease , 
    ddl_classname , 
    ddl_name , 
    ddl_attributename , 
    ddl_instancehighid , 
    ddl_instancelowid , 
    ddl_instanceversion , 
    ddl_oldvalue , 
    ddl_oldtext , 
    ddl_newvalue , 
    ddl_newtext , 
    ddl_remark , 
    ddl_olddtmodified , 
    ddl_newdtmodified , 
    ddl_oldmodifiedby , 
    ddl_newmodifiedby , 
    ddl_changeactionname , 
    ddl_logowner_highid , 
    ddl_logowner_lowid 
  FROM ddl_documentdictionarylogrecord
go
/* sqlSelectView.sql for domainmodel 'DocumentDictionary100f'                 */



/* ************************************************************************** */
/* AuthorDocument Select View Definition                                      */
/* ************************************************************************** */

CREATE VIEW s_authordocument (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    authorrole , 
    resourceid , 
    authorrecord_highid , 
    authorrecord_lowid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    ad_highid , 
    ad_lowid , 
    ad_dtadded , 
    ad_dtmodified , 
    ad_dtchecked , 
    ad_dtapproved , 
    ad_locked , 
    ad_release , 
    ad_version , 
    ad_createdby , 
    ad_modifiedby , 
    ad_checkedby , 
    ad_approvedby , 
    ad_releasebasedonhighid , 
    ad_releasebasedonlowid , 
    ad_releasebasedonversion , 
    ad_releasebasedonrelease , 
    ad_authorrole , 
    ad_resourceid , 
    ad_authorrecord_highid , 
    ad_authorrecord_lowid , 
    ad_documentrecord_highid , 
    ad_documentrecord_lowid 
  FROM ad_authordocument
go

/* ************************************************************************** */
/* Cite Select View Definition                                                */
/* ************************************************************************** */

CREATE VIEW s_cite (
    highid , 
    lowid , 
    citedkey , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    resourceid , 
    cited_highid , 
    cited_lowid , 
    citedby_highid , 
    citedby_lowid 
  )
  AS SELECT 
    ci_highid , 
    ci_lowid , 
    ci_citedkey , 
    ci_dtadded , 
    ci_dtmodified , 
    ci_dtchecked , 
    ci_dtapproved , 
    ci_locked , 
    ci_release , 
    ci_version , 
    ci_createdby , 
    ci_modifiedby , 
    ci_checkedby , 
    ci_approvedby , 
    ci_releasebasedonhighid , 
    ci_releasebasedonlowid , 
    ci_releasebasedonversion , 
    ci_releasebasedonrelease , 
    ci_label , 
    ci_resourceid , 
    ci_cited_highid , 
    ci_cited_lowid , 
    ci_citedby_highid , 
    ci_citedby_lowid 
  FROM ci_cite
go

/* ************************************************************************** */
/* GeneralizationDefinition Select View Definition                            */
/* ************************************************************************** */

CREATE VIEW s_generalizationdefinition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    discriminator , 
    resourceid , 
    subclass_highid , 
    subclass_lowid , 
    superclass_highid , 
    superclass_lowid 
  )
  AS SELECT 
    prgd_highid , 
    prgd_lowid , 
    prgd_dtadded , 
    prgd_dtmodified , 
    prgd_dtchecked , 
    prgd_dtapproved , 
    prgd_locked , 
    prgd_release , 
    prgd_version , 
    prgd_createdby , 
    prgd_modifiedby , 
    prgd_checkedby , 
    prgd_approvedby , 
    prgd_releasebasedonhighid , 
    prgd_releasebasedonlowid , 
    prgd_releasebasedonversion , 
    prgd_releasebasedonrelease , 
    prgd_discriminator , 
    prgd_resourceid , 
    prgd_subclass_highid , 
    prgd_subclass_lowid , 
    prgd_superclass_highid , 
    prgd_superclass_lowid 
  FROM prgd_generalizationdefinition
go

/* ************************************************************************** */
/* AuthorRecord Select View Definition                                        */
/* ************************************************************************** */

CREATE VIEW s_authorrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid , 
    documentdictionary_highid , 
    documentdictionary_lowid 
  )
  AS SELECT 
    au_highid , 
    au_lowid , 
    au_dtadded , 
    au_dtmodified , 
    au_dtchecked , 
    au_dtapproved , 
    au_locked , 
    au_release , 
    au_version , 
    au_createdby , 
    au_modifiedby , 
    au_checkedby , 
    au_approvedby , 
    au_releasebasedonhighid , 
    au_releasebasedonlowid , 
    au_releasebasedonversion , 
    au_releasebasedonrelease , 
    au_name , 
    au_definition , 
    au_resourceid , 
    au_documentdictionary_highid , 
    au_documentdictionary_lowid 
  FROM au_authorrecord
go

/* ************************************************************************** */
/* Category Select View Definition                                            */
/* ************************************************************************** */

CREATE VIEW s_category (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    documentdictionary_highid , 
    documentdictionary_lowid , 
    maincategory_highid , 
    maincategory_lowid 
  )
  AS SELECT 
    caco_highid , 
    caco_lowid , 
    caco_dtadded , 
    caco_dtmodified , 
    caco_dtchecked , 
    caco_dtapproved , 
    caco_locked , 
    caco_release , 
    caco_version , 
    caco_createdby , 
    caco_modifiedby , 
    caco_checkedby , 
    caco_approvedby , 
    caco_releasebasedonhighid , 
    caco_releasebasedonlowid , 
    caco_releasebasedonversion , 
    caco_releasebasedonrelease , 
    caco_label , 
    caco_name , 
    caco_definition , 
    caco_ordinalposition , 
    caco_resourceid , 
    caco_documentdictionary_highid , 
    caco_documentdictionary_lowid , 
    caco_maincategory_highid , 
    caco_maincategory_lowid 
  FROM caco_category
go

/* ************************************************************************** */
/* CategoryLink Select View Definition                                        */
/* ************************************************************************** */

CREATE VIEW s_categorylink (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    categoryrole , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    category_highid , 
    category_lowid , 
    modelelement_highid , 
    modelelement_lowid 
  )
  AS SELECT 
    cacl_highid , 
    cacl_lowid , 
    cacl_dtadded , 
    cacl_dtmodified , 
    cacl_dtchecked , 
    cacl_dtapproved , 
    cacl_locked , 
    cacl_release , 
    cacl_version , 
    cacl_createdby , 
    cacl_modifiedby , 
    cacl_checkedby , 
    cacl_approvedby , 
    cacl_releasebasedonhighid , 
    cacl_releasebasedonlowid , 
    cacl_releasebasedonversion , 
    cacl_releasebasedonrelease , 
    cacl_categoryrole , 
    cacl_label , 
    cacl_name , 
    cacl_definition , 
    cacl_ordinalposition , 
    cacl_resourceid , 
    cacl_category_highid , 
    cacl_category_lowid , 
    cacl_modelelement_highid , 
    cacl_modelelement_lowid 
  FROM cacl_categorylink
go

/* ************************************************************************** */
/* ContentRecord Select View Definition                                       */
/* ************************************************************************** */

CREATE VIEW s_contentrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    containertype , 
    label , 
    name , 
    definition , 
    endline , 
    endpage , 
    pagecount , 
    startline , 
    startpage , 
    ordinalposition , 
    resourceid , 
    contentcontainer_highid , 
    contentcontainer_lowid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    cr_highid , 
    cr_lowid , 
    cr_dtadded , 
    cr_dtmodified , 
    cr_dtchecked , 
    cr_dtapproved , 
    cr_locked , 
    cr_release , 
    cr_version , 
    cr_createdby , 
    cr_modifiedby , 
    cr_checkedby , 
    cr_approvedby , 
    cr_releasebasedonhighid , 
    cr_releasebasedonlowid , 
    cr_releasebasedonversion , 
    cr_releasebasedonrelease , 
    cr_containertype , 
    cr_label , 
    cr_name , 
    cr_definition , 
    cr_endline , 
    cr_endpage , 
    cr_pagecount , 
    cr_startline , 
    cr_startpage , 
    cr_ordinalposition , 
    cr_resourceid , 
    cr_contentcontainer_highid , 
    cr_contentcontainer_lowid , 
    cr_documentrecord_highid , 
    cr_documentrecord_lowid 
  FROM cr_contentrecord
go

/* ************************************************************************** */
/* DocumentRecord Select View Definition                                      */
/* ************************************************************************** */

CREATE VIEW s_documentrecord (
    highid , 
    lowid , 
    modificationdate , 
    recordtype , 
    sourcekey , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    authors , 
    editors , 
    title , 
    isbn , 
    label , 
    publicationtype , 
    name , 
    definition , 
    booktitle , 
    crossref , 
    publisher , 
    series , 
    cdrom , 
    journal , 
    month , 
    number , 
    pages , 
    rating , 
    reviewid , 
    school , 
    tableofcontentsurl , 
    volume , 
    year , 
    endpage , 
    pagecount , 
    startpage , 
    ordinalposition , 
    resourceid , 
    crossref_highid , 
    crossref_lowid , 
    documentdictionary_highid , 
    documentdictionary_lowid 
  )
  AS SELECT 
    dr_highid , 
    dr_lowid , 
    dr_modificationdate , 
    dr_recordtype , 
    dr_sourcekey , 
    dr_dtadded , 
    dr_dtmodified , 
    dr_dtchecked , 
    dr_dtapproved , 
    dr_locked , 
    dr_release , 
    dr_version , 
    dr_createdby , 
    dr_modifiedby , 
    dr_checkedby , 
    dr_approvedby , 
    dr_releasebasedonhighid , 
    dr_releasebasedonlowid , 
    dr_releasebasedonversion , 
    dr_releasebasedonrelease , 
    dr_authors , 
    dr_editors , 
    dr_title , 
    dr_isbn , 
    dr_label , 
    dr_publicationtype , 
    dr_name , 
    dr_definition , 
    dr_booktitle , 
    dr_crossref , 
    dr_publisher , 
    dr_series , 
    dr_cdrom , 
    dr_journal , 
    dr_month , 
    dr_number , 
    dr_pages , 
    dr_rating , 
    dr_reviewid , 
    dr_school , 
    dr_tableofcontentsurl , 
    dr_volume , 
    dr_year , 
    dr_endpage , 
    dr_pagecount , 
    dr_startpage , 
    dr_ordinalposition , 
    dr_resourceid , 
    dr_crossref_highid , 
    dr_crossref_lowid , 
    dr_documentdictionary_highid , 
    dr_documentdictionary_lowid 
  FROM dr_documentrecord
go

/* ************************************************************************** */
/* ElectronicEdition Select View Definition                                   */
/* ************************************************************************** */

CREATE VIEW s_electronicedition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    url , 
    accessdate , 
    ordinalposition , 
    resourceid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    ee_highid , 
    ee_lowid , 
    ee_dtadded , 
    ee_dtmodified , 
    ee_dtchecked , 
    ee_dtapproved , 
    ee_locked , 
    ee_release , 
    ee_version , 
    ee_createdby , 
    ee_modifiedby , 
    ee_checkedby , 
    ee_approvedby , 
    ee_releasebasedonhighid , 
    ee_releasebasedonlowid , 
    ee_releasebasedonversion , 
    ee_releasebasedonrelease , 
    ee_label , 
    ee_name , 
    ee_definition , 
    ee_url , 
    ee_accessdate , 
    ee_ordinalposition , 
    ee_resourceid , 
    ee_documentrecord_highid , 
    ee_documentrecord_lowid 
  FROM ee_electronicedition
go

/* ************************************************************************** */
/* Note Select View Definition                                                */
/* ************************************************************************** */

CREATE VIEW s_note (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    type , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    no_highid , 
    no_lowid , 
    no_dtadded , 
    no_dtmodified , 
    no_dtchecked , 
    no_dtapproved , 
    no_locked , 
    no_release , 
    no_version , 
    no_createdby , 
    no_modifiedby , 
    no_checkedby , 
    no_approvedby , 
    no_releasebasedonhighid , 
    no_releasebasedonlowid , 
    no_releasebasedonversion , 
    no_releasebasedonrelease , 
    no_type , 
    no_label , 
    no_name , 
    no_definition , 
    no_ordinalposition , 
    no_resourceid , 
    no_documentrecord_highid , 
    no_documentrecord_lowid 
  FROM no_note
go

/* ************************************************************************** */
/* AttributeDefinition Select View Definition                                 */
/* ************************************************************************** */

CREATE VIEW s_attributedefinition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    defaultvalue , 
    codegendata , 
    type , 
    resourceid , 
    classdefinition_highid , 
    classdefinition_lowid 
  )
  AS SELECT 
    prad_highid , 
    prad_lowid , 
    prad_dtadded , 
    prad_dtmodified , 
    prad_dtchecked , 
    prad_dtapproved , 
    prad_locked , 
    prad_release , 
    prad_version , 
    prad_createdby , 
    prad_modifiedby , 
    prad_checkedby , 
    prad_approvedby , 
    prad_releasebasedonhighid , 
    prad_releasebasedonlowid , 
    prad_releasebasedonversion , 
    prad_releasebasedonrelease , 
    prad_label , 
    prad_name , 
    prad_definition , 
    prad_shortname , 
    prad_altshortname , 
    prad_altname , 
    prad_altdefinition , 
    prad_auxname , 
    prad_auxdefinition , 
    prad_defaultvalue , 
    prad_codegendata , 
    prad_type , 
    prad_resourceid , 
    prad_classdefinition_highid , 
    prad_classdefinition_lowid 
  FROM prad_attributedefinition
go

/* ************************************************************************** */
/* ClassDefinition Select View Definition                                     */
/* ************************************************************************** */

CREATE VIEW s_classdefinition (
    highid , 
    lowid , 
    baseclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    codegendata , 
    resourceid , 
    profile_highid , 
    profile_lowid 
  )
  AS SELECT 
    prcd_highid , 
    prcd_lowid , 
    prcd_baseclass , 
    prcd_dtadded , 
    prcd_dtmodified , 
    prcd_dtchecked , 
    prcd_dtapproved , 
    prcd_locked , 
    prcd_release , 
    prcd_version , 
    prcd_createdby , 
    prcd_modifiedby , 
    prcd_checkedby , 
    prcd_approvedby , 
    prcd_releasebasedonhighid , 
    prcd_releasebasedonlowid , 
    prcd_releasebasedonversion , 
    prcd_releasebasedonrelease , 
    prcd_label , 
    prcd_name , 
    prcd_definition , 
    prcd_shortname , 
    prcd_altshortname , 
    prcd_altname , 
    prcd_altdefinition , 
    prcd_auxname , 
    prcd_auxdefinition , 
    prcd_codegendata , 
    prcd_resourceid , 
    prcd_profile_highid , 
    prcd_profile_lowid 
  FROM prcd_classdefinition
go

/* ************************************************************************** */
/* RelationshipDefinition Select View Definition                              */
/* ************************************************************************** */

CREATE VIEW s_relationshipdefinition (
    highid , 
    lowid , 
    detailclass , 
    masterclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    namedetailtomaster , 
    namemastertodetail , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    isavailable , 
    isvisible , 
    codegendata , 
    relationshiptype , 
    ownsmastertodetail , 
    resourceid , 
    profile_highid , 
    profile_lowid 
  )
  AS SELECT 
    prrd_highid , 
    prrd_lowid , 
    prrd_detailclass , 
    prrd_masterclass , 
    prrd_dtadded , 
    prrd_dtmodified , 
    prrd_dtchecked , 
    prrd_dtapproved , 
    prrd_locked , 
    prrd_release , 
    prrd_version , 
    prrd_createdby , 
    prrd_modifiedby , 
    prrd_checkedby , 
    prrd_approvedby , 
    prrd_releasebasedonhighid , 
    prrd_releasebasedonlowid , 
    prrd_releasebasedonversion , 
    prrd_releasebasedonrelease , 
    prrd_label , 
    prrd_namedetailtomaster , 
    prrd_namemastertodetail , 
    prrd_name , 
    prrd_definition , 
    prrd_shortname , 
    prrd_altshortname , 
    prrd_altname , 
    prrd_altdefinition , 
    prrd_auxname , 
    prrd_auxdefinition , 
    prrd_isavailable , 
    prrd_isvisible , 
    prrd_codegendata , 
    prrd_relationshiptype , 
    prrd_ownsmastertodetail , 
    prrd_resourceid , 
    prrd_profile_highid , 
    prrd_profile_lowid 
  FROM prrd_relationshipdefinition
go

/* ************************************************************************** */
/* DocumentDictionary Select View Definition                                  */
/* ************************************************************************** */

CREATE VIEW s_documentdictionary (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    dtsynchronized , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid 
  )
  AS SELECT 
    dd_highid , 
    dd_lowid , 
    dd_dtadded , 
    dd_dtmodified , 
    dd_dtchecked , 
    dd_dtapproved , 
    dd_dtsynchronized , 
    dd_locked , 
    dd_release , 
    dd_version , 
    dd_createdby , 
    dd_modifiedby , 
    dd_checkedby , 
    dd_approvedby , 
    dd_releasebasedonhighid , 
    dd_releasebasedonlowid , 
    dd_releasebasedonversion , 
    dd_releasebasedonrelease , 
    dd_name , 
    dd_definition , 
    dd_resourceid 
  FROM dd_documentdictionary
go

/* ************************************************************************** */
/* Profile Select View Definition                                             */
/* ************************************************************************** */

CREATE VIEW s_profile (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    dtsynchronized , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid , 
    model_highid , 
    model_lowid 
  )
  AS SELECT 
    prpe_highid , 
    prpe_lowid , 
    prpe_dtadded , 
    prpe_dtmodified , 
    prpe_dtchecked , 
    prpe_dtapproved , 
    prpe_dtsynchronized , 
    prpe_locked , 
    prpe_release , 
    prpe_version , 
    prpe_createdby , 
    prpe_modifiedby , 
    prpe_checkedby , 
    prpe_approvedby , 
    prpe_releasebasedonhighid , 
    prpe_releasebasedonlowid , 
    prpe_releasebasedonversion , 
    prpe_releasebasedonrelease , 
    prpe_name , 
    prpe_definition , 
    prpe_resourceid , 
    prpe_model_highid , 
    prpe_model_lowid 
  FROM prpe_profile
go

/* ************************************************************************** */
/* ProfileObject Select View Definition                                       */
/* ************************************************************************** */

CREATE VIEW s_profileobject (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    classname , 
    name , 
    definition , 
    resourceid , 
    model_highid , 
    model_lowid 
  )
  AS SELECT 
    prpo_highid , 
    prpo_lowid , 
    prpo_dtadded , 
    prpo_dtmodified , 
    prpo_dtchecked , 
    prpo_dtapproved , 
    prpo_locked , 
    prpo_release , 
    prpo_version , 
    prpo_createdby , 
    prpo_modifiedby , 
    prpo_checkedby , 
    prpo_approvedby , 
    prpo_releasebasedonhighid , 
    prpo_releasebasedonlowid , 
    prpo_releasebasedonversion , 
    prpo_releasebasedonrelease , 
    prpo_classname , 
    prpo_name , 
    prpo_definition , 
    prpo_resourceid , 
    prpo_model_highid , 
    prpo_model_lowid 
  FROM prpo_profileobject
go

/* ************************************************************************** */
/* ObjectRecord Select View Definition                                        */
/* ************************************************************************** */

CREATE VIEW s_objectrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    objecttype , 
    data , 
    resourceid , 
    contentrecord_highid , 
    contentrecord_lowid 
  )
  AS SELECT 
    or_highid , 
    or_lowid , 
    or_dtadded , 
    or_dtmodified , 
    or_dtchecked , 
    or_dtapproved , 
    or_locked , 
    or_release , 
    or_version , 
    or_createdby , 
    or_modifiedby , 
    or_checkedby , 
    or_approvedby , 
    or_releasebasedonhighid , 
    or_releasebasedonlowid , 
    or_releasebasedonversion , 
    or_releasebasedonrelease , 
    or_objecttype , 
    or_data , 
    or_resourceid , 
    or_contentrecord_highid , 
    or_contentrecord_lowid 
  FROM or_objectrecord
go

/* ************************************************************************** */
/* ProfileLink Select View Definition                                         */
/* ************************************************************************** */

CREATE VIEW s_profilelink (
    highid , 
    lowid , 
    detailclass , 
    masterclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    relationshipname , 
    resourceid , 
    profiledetail_highid , 
    profiledetail_lowid , 
    profilemaster_highid , 
    profilemaster_lowid 
  )
  AS SELECT 
    prpl_highid , 
    prpl_lowid , 
    prpl_detailclass , 
    prpl_masterclass , 
    prpl_dtadded , 
    prpl_dtmodified , 
    prpl_dtchecked , 
    prpl_dtapproved , 
    prpl_locked , 
    prpl_release , 
    prpl_version , 
    prpl_createdby , 
    prpl_modifiedby , 
    prpl_checkedby , 
    prpl_approvedby , 
    prpl_releasebasedonhighid , 
    prpl_releasebasedonlowid , 
    prpl_releasebasedonversion , 
    prpl_releasebasedonrelease , 
    prpl_relationshipname , 
    prpl_resourceid , 
    prpl_profiledetail_highid , 
    prpl_profiledetail_lowid , 
    prpl_profilemaster_highid , 
    prpl_profilemaster_lowid 
  FROM prpl_profilelink
go

/* ************************************************************************** */
/* ProfileValue Select View Definition                                        */
/* ************************************************************************** */

CREATE VIEW s_profilevalue (
    highid , 
    lowid , 
    classname , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    attributename , 
    value , 
    resourceid , 
    modelelement_highid , 
    modelelement_lowid 
  )
  AS SELECT 
    prpv_highid , 
    prpv_lowid , 
    prpv_classname , 
    prpv_dtadded , 
    prpv_dtmodified , 
    prpv_dtchecked , 
    prpv_dtapproved , 
    prpv_locked , 
    prpv_release , 
    prpv_version , 
    prpv_createdby , 
    prpv_modifiedby , 
    prpv_checkedby , 
    prpv_approvedby , 
    prpv_releasebasedonhighid , 
    prpv_releasebasedonlowid , 
    prpv_releasebasedonversion , 
    prpv_releasebasedonrelease , 
    prpv_attributename , 
    prpv_value , 
    prpv_resourceid , 
    prpv_modelelement_highid , 
    prpv_modelelement_lowid 
  FROM prpv_profilevalue
go

/* ************************************************************************** */
/* DocumentDictionaryLogRecord Select View Definition                         */
/* ************************************************************************** */

CREATE VIEW s_documentdictionarylogrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    classname , 
    name , 
    attributename , 
    instancehighid , 
    instancelowid , 
    instanceversion , 
    oldvalue , 
    oldtext , 
    newvalue , 
    newtext , 
    remark , 
    olddtmodified , 
    newdtmodified , 
    oldmodifiedby , 
    newmodifiedby , 
    changeactionname , 
    logowner_highid , 
    logowner_lowid 
  )
  AS SELECT 
    ddl_highid , 
    ddl_lowid , 
    ddl_dtadded , 
    ddl_dtmodified , 
    ddl_dtchecked , 
    ddl_dtapproved , 
    ddl_locked , 
    ddl_release , 
    ddl_version , 
    ddl_createdby , 
    ddl_modifiedby , 
    ddl_checkedby , 
    ddl_approvedby , 
    ddl_releasebasedonhighid , 
    ddl_releasebasedonlowid , 
    ddl_releasebasedonversion , 
    ddl_releasebasedonrelease , 
    ddl_classname , 
    ddl_name , 
    ddl_attributename , 
    ddl_instancehighid , 
    ddl_instancelowid , 
    ddl_instanceversion , 
    ddl_oldvalue , 
    ddl_oldtext , 
    ddl_newvalue , 
    ddl_newtext , 
    ddl_remark , 
    ddl_olddtmodified , 
    ddl_newdtmodified , 
    ddl_oldmodifiedby , 
    ddl_newmodifiedby , 
    ddl_changeactionname , 
    ddl_logowner_highid , 
    ddl_logowner_lowid 
  FROM ddl_documentdictionarylogrecord
go
/* sqlUpdateView.sql for domainmodel 'DocumentDictionary100f'                 */



/* ************************************************************************** */
/* AuthorDocument Update View Definition                                      */
/* ************************************************************************** */

CREATE VIEW u_authordocument (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    authorrole , 
    resourceid , 
    authorrecord_highid , 
    authorrecord_lowid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    ad_highid , 
    ad_lowid , 
    ad_dtadded , 
    ad_dtmodified , 
    ad_dtchecked , 
    ad_dtapproved , 
    ad_locked , 
    ad_release , 
    ad_version , 
    ad_createdby , 
    ad_modifiedby , 
    ad_checkedby , 
    ad_approvedby , 
    ad_releasebasedonhighid , 
    ad_releasebasedonlowid , 
    ad_releasebasedonversion , 
    ad_releasebasedonrelease , 
    ad_authorrole , 
    ad_resourceid , 
    ad_authorrecord_highid , 
    ad_authorrecord_lowid , 
    ad_documentrecord_highid , 
    ad_documentrecord_lowid 
  FROM ad_authordocument
go

/* ************************************************************************** */
/* Cite Update View Definition                                                */
/* ************************************************************************** */

CREATE VIEW u_cite (
    highid , 
    lowid , 
    citedkey , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    resourceid , 
    cited_highid , 
    cited_lowid , 
    citedby_highid , 
    citedby_lowid 
  )
  AS SELECT 
    ci_highid , 
    ci_lowid , 
    ci_citedkey , 
    ci_dtadded , 
    ci_dtmodified , 
    ci_dtchecked , 
    ci_dtapproved , 
    ci_locked , 
    ci_release , 
    ci_version , 
    ci_createdby , 
    ci_modifiedby , 
    ci_checkedby , 
    ci_approvedby , 
    ci_releasebasedonhighid , 
    ci_releasebasedonlowid , 
    ci_releasebasedonversion , 
    ci_releasebasedonrelease , 
    ci_label , 
    ci_resourceid , 
    ci_cited_highid , 
    ci_cited_lowid , 
    ci_citedby_highid , 
    ci_citedby_lowid 
  FROM ci_cite
go

/* ************************************************************************** */
/* GeneralizationDefinition Update View Definition                            */
/* ************************************************************************** */

CREATE VIEW u_generalizationdefinition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    discriminator , 
    resourceid , 
    subclass_highid , 
    subclass_lowid , 
    superclass_highid , 
    superclass_lowid 
  )
  AS SELECT 
    prgd_highid , 
    prgd_lowid , 
    prgd_dtadded , 
    prgd_dtmodified , 
    prgd_dtchecked , 
    prgd_dtapproved , 
    prgd_locked , 
    prgd_release , 
    prgd_version , 
    prgd_createdby , 
    prgd_modifiedby , 
    prgd_checkedby , 
    prgd_approvedby , 
    prgd_releasebasedonhighid , 
    prgd_releasebasedonlowid , 
    prgd_releasebasedonversion , 
    prgd_releasebasedonrelease , 
    prgd_discriminator , 
    prgd_resourceid , 
    prgd_subclass_highid , 
    prgd_subclass_lowid , 
    prgd_superclass_highid , 
    prgd_superclass_lowid 
  FROM prgd_generalizationdefinition
go

/* ************************************************************************** */
/* AuthorRecord Update View Definition                                        */
/* ************************************************************************** */

CREATE VIEW u_authorrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid , 
    documentdictionary_highid , 
    documentdictionary_lowid 
  )
  AS SELECT 
    au_highid , 
    au_lowid , 
    au_dtadded , 
    au_dtmodified , 
    au_dtchecked , 
    au_dtapproved , 
    au_locked , 
    au_release , 
    au_version , 
    au_createdby , 
    au_modifiedby , 
    au_checkedby , 
    au_approvedby , 
    au_releasebasedonhighid , 
    au_releasebasedonlowid , 
    au_releasebasedonversion , 
    au_releasebasedonrelease , 
    au_name , 
    au_definition , 
    au_resourceid , 
    au_documentdictionary_highid , 
    au_documentdictionary_lowid 
  FROM au_authorrecord
go

/* ************************************************************************** */
/* Category Update View Definition                                            */
/* ************************************************************************** */

CREATE VIEW u_category (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    documentdictionary_highid , 
    documentdictionary_lowid , 
    maincategory_highid , 
    maincategory_lowid 
  )
  AS SELECT 
    caco_highid , 
    caco_lowid , 
    caco_dtadded , 
    caco_dtmodified , 
    caco_dtchecked , 
    caco_dtapproved , 
    caco_locked , 
    caco_release , 
    caco_version , 
    caco_createdby , 
    caco_modifiedby , 
    caco_checkedby , 
    caco_approvedby , 
    caco_releasebasedonhighid , 
    caco_releasebasedonlowid , 
    caco_releasebasedonversion , 
    caco_releasebasedonrelease , 
    caco_label , 
    caco_name , 
    caco_definition , 
    caco_ordinalposition , 
    caco_resourceid , 
    caco_documentdictionary_highid , 
    caco_documentdictionary_lowid , 
    caco_maincategory_highid , 
    caco_maincategory_lowid 
  FROM caco_category
go

/* ************************************************************************** */
/* CategoryLink Update View Definition                                        */
/* ************************************************************************** */

CREATE VIEW u_categorylink (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    categoryrole , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    category_highid , 
    category_lowid , 
    modelelement_highid , 
    modelelement_lowid 
  )
  AS SELECT 
    cacl_highid , 
    cacl_lowid , 
    cacl_dtadded , 
    cacl_dtmodified , 
    cacl_dtchecked , 
    cacl_dtapproved , 
    cacl_locked , 
    cacl_release , 
    cacl_version , 
    cacl_createdby , 
    cacl_modifiedby , 
    cacl_checkedby , 
    cacl_approvedby , 
    cacl_releasebasedonhighid , 
    cacl_releasebasedonlowid , 
    cacl_releasebasedonversion , 
    cacl_releasebasedonrelease , 
    cacl_categoryrole , 
    cacl_label , 
    cacl_name , 
    cacl_definition , 
    cacl_ordinalposition , 
    cacl_resourceid , 
    cacl_category_highid , 
    cacl_category_lowid , 
    cacl_modelelement_highid , 
    cacl_modelelement_lowid 
  FROM cacl_categorylink
go

/* ************************************************************************** */
/* ContentRecord Update View Definition                                       */
/* ************************************************************************** */

CREATE VIEW u_contentrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    containertype , 
    label , 
    name , 
    definition , 
    endline , 
    endpage , 
    pagecount , 
    startline , 
    startpage , 
    ordinalposition , 
    resourceid , 
    contentcontainer_highid , 
    contentcontainer_lowid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    cr_highid , 
    cr_lowid , 
    cr_dtadded , 
    cr_dtmodified , 
    cr_dtchecked , 
    cr_dtapproved , 
    cr_locked , 
    cr_release , 
    cr_version , 
    cr_createdby , 
    cr_modifiedby , 
    cr_checkedby , 
    cr_approvedby , 
    cr_releasebasedonhighid , 
    cr_releasebasedonlowid , 
    cr_releasebasedonversion , 
    cr_releasebasedonrelease , 
    cr_containertype , 
    cr_label , 
    cr_name , 
    cr_definition , 
    cr_endline , 
    cr_endpage , 
    cr_pagecount , 
    cr_startline , 
    cr_startpage , 
    cr_ordinalposition , 
    cr_resourceid , 
    cr_contentcontainer_highid , 
    cr_contentcontainer_lowid , 
    cr_documentrecord_highid , 
    cr_documentrecord_lowid 
  FROM cr_contentrecord
go

/* ************************************************************************** */
/* DocumentRecord Update View Definition                                      */
/* ************************************************************************** */

CREATE VIEW u_documentrecord (
    highid , 
    lowid , 
    modificationdate , 
    recordtype , 
    sourcekey , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    authors , 
    editors , 
    title , 
    isbn , 
    label , 
    publicationtype , 
    name , 
    definition , 
    booktitle , 
    crossref , 
    publisher , 
    series , 
    cdrom , 
    journal , 
    month , 
    number , 
    pages , 
    rating , 
    reviewid , 
    school , 
    tableofcontentsurl , 
    volume , 
    year , 
    endpage , 
    pagecount , 
    startpage , 
    ordinalposition , 
    resourceid , 
    crossref_highid , 
    crossref_lowid , 
    documentdictionary_highid , 
    documentdictionary_lowid 
  )
  AS SELECT 
    dr_highid , 
    dr_lowid , 
    dr_modificationdate , 
    dr_recordtype , 
    dr_sourcekey , 
    dr_dtadded , 
    dr_dtmodified , 
    dr_dtchecked , 
    dr_dtapproved , 
    dr_locked , 
    dr_release , 
    dr_version , 
    dr_createdby , 
    dr_modifiedby , 
    dr_checkedby , 
    dr_approvedby , 
    dr_releasebasedonhighid , 
    dr_releasebasedonlowid , 
    dr_releasebasedonversion , 
    dr_releasebasedonrelease , 
    dr_authors , 
    dr_editors , 
    dr_title , 
    dr_isbn , 
    dr_label , 
    dr_publicationtype , 
    dr_name , 
    dr_definition , 
    dr_booktitle , 
    dr_crossref , 
    dr_publisher , 
    dr_series , 
    dr_cdrom , 
    dr_journal , 
    dr_month , 
    dr_number , 
    dr_pages , 
    dr_rating , 
    dr_reviewid , 
    dr_school , 
    dr_tableofcontentsurl , 
    dr_volume , 
    dr_year , 
    dr_endpage , 
    dr_pagecount , 
    dr_startpage , 
    dr_ordinalposition , 
    dr_resourceid , 
    dr_crossref_highid , 
    dr_crossref_lowid , 
    dr_documentdictionary_highid , 
    dr_documentdictionary_lowid 
  FROM dr_documentrecord
go

/* ************************************************************************** */
/* ElectronicEdition Update View Definition                                   */
/* ************************************************************************** */

CREATE VIEW u_electronicedition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    url , 
    accessdate , 
    ordinalposition , 
    resourceid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    ee_highid , 
    ee_lowid , 
    ee_dtadded , 
    ee_dtmodified , 
    ee_dtchecked , 
    ee_dtapproved , 
    ee_locked , 
    ee_release , 
    ee_version , 
    ee_createdby , 
    ee_modifiedby , 
    ee_checkedby , 
    ee_approvedby , 
    ee_releasebasedonhighid , 
    ee_releasebasedonlowid , 
    ee_releasebasedonversion , 
    ee_releasebasedonrelease , 
    ee_label , 
    ee_name , 
    ee_definition , 
    ee_url , 
    ee_accessdate , 
    ee_ordinalposition , 
    ee_resourceid , 
    ee_documentrecord_highid , 
    ee_documentrecord_lowid 
  FROM ee_electronicedition
go

/* ************************************************************************** */
/* Note Update View Definition                                                */
/* ************************************************************************** */

CREATE VIEW u_note (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    type , 
    label , 
    name , 
    definition , 
    ordinalposition , 
    resourceid , 
    documentrecord_highid , 
    documentrecord_lowid 
  )
  AS SELECT 
    no_highid , 
    no_lowid , 
    no_dtadded , 
    no_dtmodified , 
    no_dtchecked , 
    no_dtapproved , 
    no_locked , 
    no_release , 
    no_version , 
    no_createdby , 
    no_modifiedby , 
    no_checkedby , 
    no_approvedby , 
    no_releasebasedonhighid , 
    no_releasebasedonlowid , 
    no_releasebasedonversion , 
    no_releasebasedonrelease , 
    no_type , 
    no_label , 
    no_name , 
    no_definition , 
    no_ordinalposition , 
    no_resourceid , 
    no_documentrecord_highid , 
    no_documentrecord_lowid 
  FROM no_note
go

/* ************************************************************************** */
/* AttributeDefinition Update View Definition                                 */
/* ************************************************************************** */

CREATE VIEW u_attributedefinition (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    defaultvalue , 
    codegendata , 
    type , 
    resourceid , 
    classdefinition_highid , 
    classdefinition_lowid 
  )
  AS SELECT 
    prad_highid , 
    prad_lowid , 
    prad_dtadded , 
    prad_dtmodified , 
    prad_dtchecked , 
    prad_dtapproved , 
    prad_locked , 
    prad_release , 
    prad_version , 
    prad_createdby , 
    prad_modifiedby , 
    prad_checkedby , 
    prad_approvedby , 
    prad_releasebasedonhighid , 
    prad_releasebasedonlowid , 
    prad_releasebasedonversion , 
    prad_releasebasedonrelease , 
    prad_label , 
    prad_name , 
    prad_definition , 
    prad_shortname , 
    prad_altshortname , 
    prad_altname , 
    prad_altdefinition , 
    prad_auxname , 
    prad_auxdefinition , 
    prad_defaultvalue , 
    prad_codegendata , 
    prad_type , 
    prad_resourceid , 
    prad_classdefinition_highid , 
    prad_classdefinition_lowid 
  FROM prad_attributedefinition
go

/* ************************************************************************** */
/* ClassDefinition Update View Definition                                     */
/* ************************************************************************** */

CREATE VIEW u_classdefinition (
    highid , 
    lowid , 
    baseclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    codegendata , 
    resourceid , 
    profile_highid , 
    profile_lowid 
  )
  AS SELECT 
    prcd_highid , 
    prcd_lowid , 
    prcd_baseclass , 
    prcd_dtadded , 
    prcd_dtmodified , 
    prcd_dtchecked , 
    prcd_dtapproved , 
    prcd_locked , 
    prcd_release , 
    prcd_version , 
    prcd_createdby , 
    prcd_modifiedby , 
    prcd_checkedby , 
    prcd_approvedby , 
    prcd_releasebasedonhighid , 
    prcd_releasebasedonlowid , 
    prcd_releasebasedonversion , 
    prcd_releasebasedonrelease , 
    prcd_label , 
    prcd_name , 
    prcd_definition , 
    prcd_shortname , 
    prcd_altshortname , 
    prcd_altname , 
    prcd_altdefinition , 
    prcd_auxname , 
    prcd_auxdefinition , 
    prcd_codegendata , 
    prcd_resourceid , 
    prcd_profile_highid , 
    prcd_profile_lowid 
  FROM prcd_classdefinition
go

/* ************************************************************************** */
/* RelationshipDefinition Update View Definition                              */
/* ************************************************************************** */

CREATE VIEW u_relationshipdefinition (
    highid , 
    lowid , 
    detailclass , 
    masterclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    label , 
    namedetailtomaster , 
    namemastertodetail , 
    name , 
    definition , 
    shortname , 
    altshortname , 
    altname , 
    altdefinition , 
    auxname , 
    auxdefinition , 
    isavailable , 
    isvisible , 
    codegendata , 
    relationshiptype , 
    ownsmastertodetail , 
    resourceid , 
    profile_highid , 
    profile_lowid 
  )
  AS SELECT 
    prrd_highid , 
    prrd_lowid , 
    prrd_detailclass , 
    prrd_masterclass , 
    prrd_dtadded , 
    prrd_dtmodified , 
    prrd_dtchecked , 
    prrd_dtapproved , 
    prrd_locked , 
    prrd_release , 
    prrd_version , 
    prrd_createdby , 
    prrd_modifiedby , 
    prrd_checkedby , 
    prrd_approvedby , 
    prrd_releasebasedonhighid , 
    prrd_releasebasedonlowid , 
    prrd_releasebasedonversion , 
    prrd_releasebasedonrelease , 
    prrd_label , 
    prrd_namedetailtomaster , 
    prrd_namemastertodetail , 
    prrd_name , 
    prrd_definition , 
    prrd_shortname , 
    prrd_altshortname , 
    prrd_altname , 
    prrd_altdefinition , 
    prrd_auxname , 
    prrd_auxdefinition , 
    prrd_isavailable , 
    prrd_isvisible , 
    prrd_codegendata , 
    prrd_relationshiptype , 
    prrd_ownsmastertodetail , 
    prrd_resourceid , 
    prrd_profile_highid , 
    prrd_profile_lowid 
  FROM prrd_relationshipdefinition
go

/* ************************************************************************** */
/* DocumentDictionary Update View Definition                                  */
/* ************************************************************************** */

CREATE VIEW u_documentdictionary (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    dtsynchronized , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid 
  )
  AS SELECT 
    dd_highid , 
    dd_lowid , 
    dd_dtadded , 
    dd_dtmodified , 
    dd_dtchecked , 
    dd_dtapproved , 
    dd_dtsynchronized , 
    dd_locked , 
    dd_release , 
    dd_version , 
    dd_createdby , 
    dd_modifiedby , 
    dd_checkedby , 
    dd_approvedby , 
    dd_releasebasedonhighid , 
    dd_releasebasedonlowid , 
    dd_releasebasedonversion , 
    dd_releasebasedonrelease , 
    dd_name , 
    dd_definition , 
    dd_resourceid 
  FROM dd_documentdictionary
go

/* ************************************************************************** */
/* Profile Update View Definition                                             */
/* ************************************************************************** */

CREATE VIEW u_profile (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    dtsynchronized , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    name , 
    definition , 
    resourceid , 
    model_highid , 
    model_lowid 
  )
  AS SELECT 
    prpe_highid , 
    prpe_lowid , 
    prpe_dtadded , 
    prpe_dtmodified , 
    prpe_dtchecked , 
    prpe_dtapproved , 
    prpe_dtsynchronized , 
    prpe_locked , 
    prpe_release , 
    prpe_version , 
    prpe_createdby , 
    prpe_modifiedby , 
    prpe_checkedby , 
    prpe_approvedby , 
    prpe_releasebasedonhighid , 
    prpe_releasebasedonlowid , 
    prpe_releasebasedonversion , 
    prpe_releasebasedonrelease , 
    prpe_name , 
    prpe_definition , 
    prpe_resourceid , 
    prpe_model_highid , 
    prpe_model_lowid 
  FROM prpe_profile
go

/* ************************************************************************** */
/* ProfileObject Update View Definition                                       */
/* ************************************************************************** */

CREATE VIEW u_profileobject (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    classname , 
    name , 
    definition , 
    resourceid , 
    model_highid , 
    model_lowid 
  )
  AS SELECT 
    prpo_highid , 
    prpo_lowid , 
    prpo_dtadded , 
    prpo_dtmodified , 
    prpo_dtchecked , 
    prpo_dtapproved , 
    prpo_locked , 
    prpo_release , 
    prpo_version , 
    prpo_createdby , 
    prpo_modifiedby , 
    prpo_checkedby , 
    prpo_approvedby , 
    prpo_releasebasedonhighid , 
    prpo_releasebasedonlowid , 
    prpo_releasebasedonversion , 
    prpo_releasebasedonrelease , 
    prpo_classname , 
    prpo_name , 
    prpo_definition , 
    prpo_resourceid , 
    prpo_model_highid , 
    prpo_model_lowid 
  FROM prpo_profileobject
go

/* ************************************************************************** */
/* ObjectRecord Update View Definition                                        */
/* ************************************************************************** */

CREATE VIEW u_objectrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    objecttype , 
    data , 
    resourceid , 
    contentrecord_highid , 
    contentrecord_lowid 
  )
  AS SELECT 
    or_highid , 
    or_lowid , 
    or_dtadded , 
    or_dtmodified , 
    or_dtchecked , 
    or_dtapproved , 
    or_locked , 
    or_release , 
    or_version , 
    or_createdby , 
    or_modifiedby , 
    or_checkedby , 
    or_approvedby , 
    or_releasebasedonhighid , 
    or_releasebasedonlowid , 
    or_releasebasedonversion , 
    or_releasebasedonrelease , 
    or_objecttype , 
    or_data , 
    or_resourceid , 
    or_contentrecord_highid , 
    or_contentrecord_lowid 
  FROM or_objectrecord
go

/* ************************************************************************** */
/* ProfileLink Update View Definition                                         */
/* ************************************************************************** */

CREATE VIEW u_profilelink (
    highid , 
    lowid , 
    detailclass , 
    masterclass , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    relationshipname , 
    resourceid , 
    profiledetail_highid , 
    profiledetail_lowid , 
    profilemaster_highid , 
    profilemaster_lowid 
  )
  AS SELECT 
    prpl_highid , 
    prpl_lowid , 
    prpl_detailclass , 
    prpl_masterclass , 
    prpl_dtadded , 
    prpl_dtmodified , 
    prpl_dtchecked , 
    prpl_dtapproved , 
    prpl_locked , 
    prpl_release , 
    prpl_version , 
    prpl_createdby , 
    prpl_modifiedby , 
    prpl_checkedby , 
    prpl_approvedby , 
    prpl_releasebasedonhighid , 
    prpl_releasebasedonlowid , 
    prpl_releasebasedonversion , 
    prpl_releasebasedonrelease , 
    prpl_relationshipname , 
    prpl_resourceid , 
    prpl_profiledetail_highid , 
    prpl_profiledetail_lowid , 
    prpl_profilemaster_highid , 
    prpl_profilemaster_lowid 
  FROM prpl_profilelink
go

/* ************************************************************************** */
/* ProfileValue Update View Definition                                        */
/* ************************************************************************** */

CREATE VIEW u_profilevalue (
    highid , 
    lowid , 
    classname , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    attributename , 
    value , 
    resourceid , 
    modelelement_highid , 
    modelelement_lowid 
  )
  AS SELECT 
    prpv_highid , 
    prpv_lowid , 
    prpv_classname , 
    prpv_dtadded , 
    prpv_dtmodified , 
    prpv_dtchecked , 
    prpv_dtapproved , 
    prpv_locked , 
    prpv_release , 
    prpv_version , 
    prpv_createdby , 
    prpv_modifiedby , 
    prpv_checkedby , 
    prpv_approvedby , 
    prpv_releasebasedonhighid , 
    prpv_releasebasedonlowid , 
    prpv_releasebasedonversion , 
    prpv_releasebasedonrelease , 
    prpv_attributename , 
    prpv_value , 
    prpv_resourceid , 
    prpv_modelelement_highid , 
    prpv_modelelement_lowid 
  FROM prpv_profilevalue
go

/* ************************************************************************** */
/* DocumentDictionaryLogRecord Update View Definition                         */
/* ************************************************************************** */

CREATE VIEW u_documentdictionarylogrecord (
    highid , 
    lowid , 
    dtadded , 
    dtmodified , 
    dtchecked , 
    dtapproved , 
    locked , 
    release , 
    version , 
    createdby , 
    modifiedby , 
    checkedby , 
    approvedby , 
    releasebasedonhighid , 
    releasebasedonlowid , 
    releasebasedonversion , 
    releasebasedonrelease , 
    classname , 
    name , 
    attributename , 
    instancehighid , 
    instancelowid , 
    instanceversion , 
    oldvalue , 
    oldtext , 
    newvalue , 
    newtext , 
    remark , 
    olddtmodified , 
    newdtmodified , 
    oldmodifiedby , 
    newmodifiedby , 
    changeactionname , 
    logowner_highid , 
    logowner_lowid 
  )
  AS SELECT 
    ddl_highid , 
    ddl_lowid , 
    ddl_dtadded , 
    ddl_dtmodified , 
    ddl_dtchecked , 
    ddl_dtapproved , 
    ddl_locked , 
    ddl_release , 
    ddl_version , 
    ddl_createdby , 
    ddl_modifiedby , 
    ddl_checkedby , 
    ddl_approvedby , 
    ddl_releasebasedonhighid , 
    ddl_releasebasedonlowid , 
    ddl_releasebasedonversion , 
    ddl_releasebasedonrelease , 
    ddl_classname , 
    ddl_name , 
    ddl_attributename , 
    ddl_instancehighid , 
    ddl_instancelowid , 
    ddl_instanceversion , 
    ddl_oldvalue , 
    ddl_oldtext , 
    ddl_newvalue , 
    ddl_newtext , 
    ddl_remark , 
    ddl_olddtmodified , 
    ddl_newdtmodified , 
    ddl_oldmodifiedby , 
    ddl_newmodifiedby , 
    ddl_changeactionname , 
    ddl_logowner_highid , 
    ddl_logowner_lowid 
  FROM ddl_documentdictionarylogrecord
go
create view dd_modelelement(model_highid, model_lowid, prefix, highid, lowid, tablename)
as
  select dd_highid, dd_lowid, 'dd', dd_highid, dd_lowid,  'dd_documentdictionary'
  from dd_documentdictionary
union
  select dd1.dd_highid, dd1.dd_lowid, 'au', au2.au_highid, au2.au_lowid, 'au_authorrecord'
  from dd_documentdictionary dd1, au_authorrecord au2
  where dd1.dd_highid = au2.au_documentdictionary_highid
    and dd1.dd_lowid  = au2.au_documentdictionary_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'caco', caco2.caco_highid, caco2.caco_lowid, 'caco_category'
  from dd_documentdictionary dd1, caco_category caco2
  where dd1.dd_highid = caco2.caco_documentdictionary_highid
    and dd1.dd_lowid  = caco2.caco_documentdictionary_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'dr', dr2.dr_highid, dr2.dr_lowid, 'dr_documentrecord'
  from dd_documentdictionary dd1, dr_documentrecord dr2
  where dd1.dd_highid = dr2.dr_documentdictionary_highid
    and dd1.dd_lowid  = dr2.dr_documentdictionary_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'prpo', prpo2.prpo_highid, prpo2.prpo_lowid, 'prpo_profileobject'
  from dd_documentdictionary dd1, prpo_profileobject prpo2
  where dd1.dd_highid = prpo2.prpo_model_highid
    and dd1.dd_lowid  = prpo2.prpo_model_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'cacl', cacl3.cacl_highid, cacl3.cacl_lowid, 'cacl_categorylink'
  from dd_documentdictionary dd1, caco_category caco2, cacl_categorylink cacl3
  where dd1.dd_highid = caco2.caco_documentdictionary_highid
    and dd1.dd_lowid  = caco2.caco_documentdictionary_lowid
    and caco2.caco_highid = cacl3.cacl_category_highid
    and caco2.caco_lowid  = cacl3.cacl_category_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'cr', cr3.cr_highid, cr3.cr_lowid, 'cr_contentrecord'
  from dd_documentdictionary dd1, dr_documentrecord dr2, cr_contentrecord cr3
  where dd1.dd_highid = dr2.dr_documentdictionary_highid
    and dd1.dd_lowid  = dr2.dr_documentdictionary_lowid
    and dr2.dr_highid = cr3.cr_documentrecord_highid
    and dr2.dr_lowid  = cr3.cr_documentrecord_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'ee', ee3.ee_highid, ee3.ee_lowid, 'ee_electronicedition'
  from dd_documentdictionary dd1, dr_documentrecord dr2, ee_electronicedition ee3
  where dd1.dd_highid = dr2.dr_documentdictionary_highid
    and dd1.dd_lowid  = dr2.dr_documentdictionary_lowid
    and dr2.dr_highid = ee3.ee_documentrecord_highid
    and dr2.dr_lowid  = ee3.ee_documentrecord_lowid
union
  select dd1.dd_highid, dd1.dd_lowid, 'no', no3.no_highid, no3.no_lowid, 'no_note'
  from dd_documentdictionary dd1, dr_documentrecord dr2, no_note no3
  where dd1.dd_highid = dr2.dr_documentdictionary_highid
    and dd1.dd_lowid  = dr2.dr_documentdictionary_lowid
    and dr2.dr_highid = no3.no_documentrecord_highid
    and dr2.dr_lowid  = no3.no_documentrecord_lowid

go


create view s_modelelement (model_highid, model_lowid, prefix, highid, lowid, tablename)
as
  select model_highid, model_lowid, prefix, highid, lowid, tablename
  from dd_modelelement
go
